/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.tivoli.tip.dijit.BusyPane"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.tivoli.tip.dijit.BusyPane"] = true;
/****************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* 5724-Q87 
*
* (C) Copyright IBM Corp. 2008
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
********************************************************** {COPYRIGHT-END} **/
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("ibm.tivoli.tip.dojo.TIPHelper");
dojo.require("dijit._base.place");
dojo.requireLocalization("ibm.tivoli.tip.dijit", "resources", null, "ROOT,ar,cs,da,de,en,en-us,es,fi,fr,he,hr,hu,it,ja,ko,nl,no,pl,pt-br,ro,ru,sl,sv,tr,zh-cn,zh-tw", "ROOT,ar,cs,da,de,en,en-us,es,fi,fr,he,hr,hu,it,ja,ko,nl,no,pl,pt-br,ro,ru,sl,sv,tr,zh-cn,zh-tw");

dojo.provide( "ibm.tivoli.tip.dijit.BusyPane" );
/******************************************************************************
* Busy Pane that blocks all user input and shows progress message.
******************************************************************************/
dojo.declare("ibm.tivoli.tip.dijit.BusyPane", [dijit._Widget, dijit._Templated],
{
  processingImageSrc: dojo.moduleUrl("ibm.tivoli.tip.dijit","themes/images/processing-toolbar.gif"),
    
  //processing label var
  processingLabel : "",  
  
  templateString: "<div class='tipBusyPane'><table width='100%' height='100%' cellspacing='0' cellpadding='0' border='0'><tr><td valign='middle' align='middle' style='vertical-align: middle;'><div dojoAttachPoint='busypane' class='tipBusyPaneProcessing'><table width='100%' cellspacing='0' cellpadding='0' border='0'><tbody><tr><td class='process-anim' width='1%'><img width='16' height='16' src='${processingImageSrc}'/></td><td class='process-message' dojoAttachPoint='messageArea'>${processingLabel}</td></tr></tbody></table></div></td></tr></table></div>",
  
  constructor: function () {
	  this.processingLabel = dojo.i18n.getLocalization( "ibm.tivoli.tip.dijit", "resources" ).PROCESSING;
  },
  
  postCreate: function()
  {
    this.inherited( arguments );
	this.hide();
  },
  
  show: function( sizeToPortlet )
  {
  	var tipHelper = null;
  	var div       = null;
  	var coords    = null;
  		 
	 dojo.style(this.busypane,"position","absolute"); 
	
	 
	if ( sizeToPortlet ) 
	{
		console.warn("sizeToPortlet =true");
		tipHelper = new ibm.tivoli.tip.dojo.TIPHelper();
		
		div = tipHelper.getTopPortletNode (this.domNode);
		
		if ( div ) {
		    coords = dojo.coords( div );
		    //console.log ("in BusyPane.show.  got coords: ");
		    //console.log (coords);
		    this.domNode.style.display="";
		    dojo.style (this.domNode, "position", "fixed");
		    dojo.style (this.domNode, "top",  ( coords.y < 0 ) ? "0px" : coords.y+"px" );
		    dojo.style (this.domNode, "left", ( coords.x < 0 ) ? "0px" : coords.x+"px" );
		    dojo.style (this.domNode, "width", coords.w+"px");
			dojo.style (this.domNode, "height", coords.h+"px");
			var panelBoxCoords = dojo.coords( this.busypane );
			var panecenter = coords.w/2 - panelBoxCoords.w/2;
			dojo.style(this.busypane,"left",panecenter+"px");
			
		} else {
			this.stylePage();
		}
	} else {
	   
		this.stylePage();
	}
    
    this.domNode.style.display="";
  },
  stylePage: function () {
	     //console.log ("in BusyPane.show.  covering whole page/frame.");
				
	    dojo.style (this.domNode, "top", "0");
	    dojo.style (this.domNode, "align", "center");
	    dojo.style (this.domNode, "width", "100%");
		dojo.style (this.domNode, "height", "100%");
		 var page=dijit.getViewport();
	    var busypanewidth= page.w/2;
		var busypaneheight =page.h/2;
	    dojo.style(this.busypane,"left",busypanewidth+"px");
		dojo.style(this.busypane,"top",busypaneheight+"px");
  },
  hide: function() {
    this.domNode.style.display="none";
  }
});

}
