/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.tivoli.tip.dijit.Formatters"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.tivoli.tip.dijit.Formatters"] = true;
dojo.require("dojo.data.ItemFileReadStore");

dojo.provide("ibm.tivoli.tip.dijit.Formatters");

// TODO: these global variables need to be namespaced ... talk to Yu Xin about this.
// these variables must be put to a more global place, I have put them in TIPChartPortletView.jsp
//var storeCounter = 0;
//var contentStore = [];    

ibm.tivoli.tip.dijit.Formatters.checkBoxFormatter = function (val){  
	if(val == "true"){
        return ("<input type='checkbox' checked>");
    }else{
        return ("<input type='checkbox'>");
    }
};

ibm.tivoli.tip.dijit.Formatters.radioButtonFormatter = function (val){  
	if(val == "true"){
    	return ("<input type='radio' checked>");
    }else{
    	return ("<input type='radio'>");
    }
};

var rowSeveriry = null;

ibm.tivoli.tip.dijit.Formatters.iconBackgroundFormatter = function (val){
	var severity = null;
	var i = val.lastIndexOf("(");
	var j = val.lastIndexOf(")");	
	if(i!=-1&&j!=-1){
		severity = val.substring(i+1,j);
	}	
	rowSeveriry = severity;
	var bkColor = null;	
	var fontColor = null;
	if(severity=="Fatal"){
 		bkColor = "Black";
 		fontColor = "White";
    }else if(severity=="Critical"){	
    	bkColor = "Red";
    	fontColor = "White";
    }else if(severity=="Minor"){	
    	bkColor = "Darkorange";
    	fontColor = "Black";
    }else if(severity=="Warning"){	
    	bkColor = "Yellow";
    	fontColor = "Black";
    }else if(severity=="Harmless"){	
    	bkColor = "LimeGreen";
    	fontColor = "Black";
    }else if(severity=="Informational"){	
    	bkColor = "DodgerBlue";
    	fontColor = "Black";
    }else if(severity=="Unknown"){	
    	bkColor = "DarkGray";
    	fontColor = "Black";
    }
	if(bkColor==null){
		return (val);
	}else{
		return ("<table bgcolor='"+bkColor+"'><tr><td><font color='"+fontColor+"'>"+val.substring(0,i)+"</font></td></tr></table>");
	}	
};	


ibm.tivoli.tip.dijit.Formatters.comboBoxFormatter = function (val){
	var image = null;
	var sevStatus = rowSeveriry;
	if(sevStatus=="Fatal"){
    	image = "st18fatal_shad.png";
    }else if(sevStatus=="Critical"){	
    	image = "st18critical_shad.png";
    }else if(sevStatus=="Minor"){	
    	image = "st18majorwarning_shad.png";
    }else if(sevStatus=="Warning"){	
    	image = "st18minorwarning_shad.png";
    }else if(sevStatus=="Harmless"){	
    	image = "st18success_shad.png";
    }else if(sevStatus=="Informational"){	
    	image = "st18informational_shad.png";
    }else if(sevStatus=="Unknown"){	
    	image = "st18unknown_shad.png";
    }			
	var richContent = {            
            "items": []
    };	
    var optionsData = eval (val);	
    for(var i=0;i<optionsData.length;i++){
         richContent.items[i] = new Object();
     	 richContent.items[i].name = optionsData[i];
     	 if(image!=null){
     		var imageSrc = dojo.moduleUrl("ibm.tivoli.tip.dijit","themes/images/status/"+image);
    	    richContent.items[i].label = "        <img src='"+imageSrc+"' />        "+optionsData[i];    
         }else{
    		richContent.items[i].label = optionsData[i];    
    	 }             
    }
    storeCounter ++;    
    contentStore[storeCounter] = new dojo.data.ItemFileReadStore ( { data: richContent } );    
    return ("<input dojoType='dijit.form.FilteringSelect' store='contentStore["+storeCounter+"]' labelAttr='label' labelType='html'/>");    
};

}
