/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.tivoli.tip.dijit.themes.ChartThemeTivoliDark"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.tivoli.tip.dijit.themes.ChartThemeTivoliDark"] = true;
dojo.provide("ibm.tivoli.tip.dijit.themes.ChartThemeTivoliDark");
dojo.require("dojox.charting.Theme");

(function(){
	var dxc=dojox.charting;
	ibm.tivoli.tip.dijit.themes.ChartThemeTivoliDarkCustom = { 
		piestroke: {
			color: "white"
		},
		xlabels: {
			color: "white",
			fontFamily: "Sans Serif",
			size: "12pt", 
			weight: "normal"
		},
		ylabels: {
			color: "white",
			fontFamily: "Sans Serif",
			size: "14pt", 
			weight: "normal"
		},
		legend: {
			textClass: "dojoxLegendTextDark"
		}
	};
	
	ibm.tivoli.tip.dijit.themes.ChartThemeTivoliDark=new dxc.Theme({
		chart:{
			stroke:null,
			fill: "transparent"
		},
		plotarea:{
			stroke:null,
			fill: "transparent"
		},
		axis:{
			stroke:{ color:"white",width:1 },			
			line:{ color:"#fff",width:1 },
			font:"normal normal normal 10pt San Serif",
			majorTick:{ color:"white", width:2, length:12 },
			minorTick:{ color:"white", width:1, length:8 },
			fontColor:"white"
		},
		series:{
			outline:{ width:1, color:"#fff" },
			stroke:{ width:2, color:"#666" },
			//fill:new dojo.Color([0x66, 0x66, 0x66, 0.8]),
			fill:new dojo.Color([0x66, 0x66, 0x66, 1.0]),
			font:"normal normal normal 11pt San Serif",	//	label
			fontColor:"white"
		},
		marker:{	//	any markers on a series.
			stroke:{ width:2 },
			fill:"#3D4247",
			font:"normal normal normal 11pt San Serif",	//	label
			fontColor:"white"
		},
		colors:[ "#5684bc", "#68588c", "#d9913c", "#842e28", "#b39156", "#788030", "#0a2847", "#5d3080", "#855925", "#4d1915", "#a5792e", "#302212"
 			]
	});
	ibm.tivoli.tip.dijit.themes.ChartThemeTivoliDark.defineColors(ibm.tivoli.tip.dijit.themes.ChartThemeTivoliDark.colors);
})();

}
