<!-- ***************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
*
* (C) Copyright IBM Corp. 2009
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
********************************************************** {COPYRIGHT-END} -->
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://ibm.com/isc/portlet" prefix="iscPortletAPI" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

<%@ page import="javax.portlet.*" %>
<!--
<script type='text/javascript' 
        src='http://getfirebug.com/releases/lite/1.2/firebug-lite-compressed.js'></script>     
-->
<style type="text/css">
	@import "<%=request.getContextPath()%>/js/dojo/dojox/grid/resources/Grid.css";
	@import "<%=request.getContextPath()%>/js/dojo/dojox/grid/resources/tundraGrid.css";
	@import "<%=request.getContextPath()%>/js/dojo/dijit/themes/tundra/tundra.css";
	@import "<%=request.getContextPath()%>/js/dojo/ibm/tivoli/tip/dijit/themes/Tivoli_Tundra.css";
	@import "<%=request.getContextPath()%>/jsp/CSS/FBWCA.css";
</style>

<script type="text/javascript" src="<%=request.getContextPath()%>/js/dojo/dojo/dojo.js"
	djconfig="isDebug:true,parseOnLoad:true,locale:'<%=request.getLocale().toString().replace('_','-').toLowerCase()%>'" ></script>

<script type="text/javascript">
		dojo.registerModulePath("ibm.tivoli.tip.dijit","../ibm/tivoli/tip/dijit");
		dojo.registerModulePath("ibm.tivoli.tip.dojo","../ibm/tivoli/tip/dojo");
		dojo.registerModulePath("nls", "../fbfwca");
		dojo.registerModulePath("nls_messages", "../fbfwca");
        
		dojo.require("dojo.i18n");
		dojo.require("dojo.string");
		dojo.require("dojo.parser");
		dojo.require("dijit.layout.BorderContainer");
		dojo.require("dijit.layout.ContentPane");
		dojo.require("dijit.form.Form");
		dojo.require("dijit.form.ComboButton");
		dojo.require("dijit.form.Button");
		dojo.require("dijit.form.TextBox");
		dojo.require("dijit.form.ValidationTextBox");
		dojo.require("dijit.form.NumberTextBox");
		dojo.require("dijit.form.FilteringSelect");
		dojo.require("dijit.form.SimpleTextarea");
		dojo.require("dijit.Dialog");
		dojo.require("dijit.Toolbar");
		dojo.require("fbfwca.Folders");
		dojo.require("fbfwca.Scripts");
		dojo.require("fbfwca.Alerts");
		dojo.require("fbfwca.Common");
		dojo.require("fbfwca.Localizable");
		dojo.require("ibm.tivoli.tip.dijit.TIPMessageDialog");
		dojo.require("dijit.Tree");
		dojo.requireLocalization("nls", "general");
		dojo.requireLocalization("nls_messages", "messages");
		var fbfwca_root = "<%=request.getContextPath()%>";

		var folders = null;
		var alerts = null;
		var scripts = null;
		dojo.addOnLoad(function(){
		dojo.style(dojo.body(), {height: "100%", width: "100%", direction:"ltr"});
			var d = document.getElementById("RulesContainer");
			if ( d )
			{
        var locale = "<%=request.getLocale().toString().replace('_','-').toLowerCase()%>";
				if ( locale.substring(0,2) == "en" || locale.substring(0,2) == "zh" ||
					 locale.substring(0,2) == "ja" || locale.substring(0,2) == "ko" || locale.substring(0,2) == "ar")
					d.style.width="700px";
				else
					d.style.width="800px";
			}
			
			folders = new fbfwca.Folders();
      alerts = new fbfwca.Alerts();
      scripts = new fbfwca.Scripts();
      folders.initPage(alerts,scripts);
      alerts.initPage(folders,scripts);
      scripts.initPage(folders,alerts);
		});        

		function <portlet:namespace/>cleanup () {
			try { 
				console.info ("enter cleanup");
				if (folders)
					folders.destroy();
				delete folders;
				if (alerts)
					alerts.destroy();
				delete alerts;
				if (scripts)
					scripts.destroy();
				delete scripts;
				delete fbfwca_root;
			} catch (ex) {
				console.error ("Caught exception in cleanup:");
				console.error (ex);
			}
		}

		function <portlet:namespace/>resizePortlet () {
			console.log("resizePortlet");
			if (dojo.byId("MainTableHolder").style.display!="none" ) {
				console.log ("resize MainTableHolder");
				if ( folders ) 
					folders.ResizeTable();
				if (alerts ) 
					alerts.ResizeTable();
				if ( scripts ) 
					scripts.ResizeTable();
			}
		}
		
		function <iscPortletAPI:processEventHandler/>(evt) {
			console.log ("FBFWCA: received event: "+evt.name);
			console.log (evt);
			if (evt.name == "http://ibm.com/isclite#closePage" ) {
				<portlet:namespace/>cleanup();
			} else if (evt.name == "http://ibm.com/isclite#portletResize") {
				<portlet:namespace/>resizePortlet();
			}
		}
</script>

<div id="<portlet:namespace/>_main" class="fbw-border" style="width:100%;height:100%;">

<!--=========================================================================================-->
<!--                       Main Administration Settings Page                                 -->
<!--=========================================================================================-->
<div id="MainTableHolder" style="display:block;width:100%;height:100%;">

<!--=== Administration Folders table ===-->
<div class="section-header" dojoType="fbfwca.Localizable">T_Administration_Folders</div>
<div dojoType="fbfwca.Localizable" class="fbw-desc">T_AdminFolders_Page_Desc</div>
<div id="foldersGridContainerNode" style="padding:10px;"></div>

<!--=== Alerts table ===-->
<br/>
<div class="section-header" dojoType="fbfwca.Localizable">T_Alerts_Configuration</div>
<div dojoType="fbfwca.Localizable" class="fbw-desc">T_Alerts_Page_Desc</div>
<div id="alertsGridContainerNode" style="padding:10px;"></div>

<!--=== Custom scripts table ===-->
<br/>
<div class="section-header" dojoType="fbfwca.Localizable">T_Custom_Scripts</div>
<div  dojoType="fbfwca.Localizable" class="fbw-desc">T_Scripts_Page_Desc</div>
<div id="scriptsGridContainerNode" style="padding:10px;"></div>
</div>
<!--=========================================================================================-->
<!--                       Create/Modify Admin Folder Dialog Box                             -->
<!--=========================================================================================-->
<div id="EditFolderForm" style="display:none;width:100%;height:100%;" class="normal-text">
	<!-- This is the header. -->
	<div class="form-header" id="EditFolderFormHead">Create Administration Folder</div>
	<div  id="EditFolderFormDesc">Description</div>

	<br/>
	<label for="EditFolder_name" dojoType="fbfwca.Localizable">L_Alias</label>
	<br/>
	<input class="name-text" dojoType="dijit.form.ValidationTextBox" id="EditFolder_name"
			required="true"	trim="true" ></input>

	<br/><br/>
	<label for="EditFolder_address" dojoType="fbfwca.Localizable">L_Administration_folder</label>
	<br/>
	<input class="long-text" dojoType="dijit.form.ValidationTextBox" id="EditFolder_address"
			required="true" trim="true" ></input>

	<br/><br/>
	<label for="EditFolder_groupsFS" dojoType="fbfwca.Localizable">L_Select_a_group_for_new_clients</label>
	<br/>
	<select dojoType="dijit.form.FilteringSelect"
						searchAttr="name"
						required="true"
						id="EditFolder_groupsFS" ></select>
	
	<br/><br/>
	<label for="EditFolder_scriptsFS" dojoType="fbfwca.Localizable">L_Select_a_script_for_new_clients</label>
	<br/>
	<select dojoType="dijit.form.FilteringSelect"
						searchAttr="name"
						required="true"
						id="EditFolder_scriptsFS" ></select>
	
  <br/><br/><br/>
      <!--=========================================================================================-->
      <!--                       Display the 3 buttons OK, Another and Cancel                      -->
      <!--=========================================================================================-->
      
      <div id="EditFolder_ThreeButtons"  style="display:none;" >
          <button id="FolderOKBtn" dojoType="dijit.form.Button"
                  onClick="folders.OnClick_EditFolder(0)">T_OK</button>
          <button id="FolderAnotherBtn" dojoType="dijit.form.Button" 
                  onClick="folders.OnClick_EditFolder(1)">T_ADD_ANOTHER</button>
          <button id="FolderCancelBtn" dojoType="dijit.form.Button" 
                  onClick="folders.OnClick_EditFolder(2)">T_CANCEL</button>
      </div>
      
      <!--=========================================================================================-->
      <!--                       Display the 2 buttons OK and Cancel                               -->
      <!--=========================================================================================-->
      
      <div id="EditFolder_TwoButtons"  style="display:none;">
          <button id="FolderOKBtn2" dojoType="dijit.form.Button"
                  onClick="folders.OnClick_EditFolder(0)">T_OK</button>
          <button id="FolderCancelBtn2" dojoType="dijit.form.Button"
                  onClick="folders.OnClick_EditFolder(2)">T_CANCEL</button>
      </div>

</div>

<!--=========================================================================================-->
<!--                       Get Configuration Dialog Box                                  -->
<!--=========================================================================================-->
<div id="CreateConfigForm" style="display:none;width:100%;height:100%;" class="normal-text">
	<!-- This is the header. -->
	<div class="form-header" dojoType="fbfwca.Localizable" >T_Create_Config_File</div>
	<div  dojoType="fbfwca.Localizable" >T_Create_Config_File_Desc</div>
	
	<br/>
	<span dojoType="fbfwca.Localizable">L_Administration_folder2</span>
	<span id="CreateConfig_adminfolderId"></span>
	<br/><br/>
	<span dojoType="fbfwca.Localizable">L_Group</span>
	<span id="CreateConfig_groupId"></span>

	<br/><br/>
	<button dojoType="dijit.form.Button" id="CreateConfigFormGetConfig"
				onClick="folders.GetConfig()">T_Get_Configuration</button>
	<br/>
	<input dojoType="dijit.form.SimpleTextarea" id="CreateConfig_xml"
			style="height:200px;width:97%;" ></input>

	<br/><br/>
	<button dojoType="dijit.form.Button" id="CreateConfigFormReturn"
			onClick="folders.OnClick_CreateConfig()">T_RETURN</button>
</div>

<!--=========================================================================================-->
<!--                       Create/Modify Script Dialog Box                                   -->
<!--=========================================================================================-->
<div id="EditScriptForm" style="display:none;width:100%;height:100%;" class="normal-text">
	<!-- This is the header. -->
	<div class="form-header" id="EditScriptFormHead">Add/edit new command </div>
	<div  dojoType="fbfwca.Localizable" >T_Create_Script_Desc</div>

	<br/>
	<label for="Script_name" dojoType="fbfwca.Localizable" >L_Name</label>
	<br/>
	<input class="name-text" dojoType="dijit.form.ValidationTextBox" id="Script_name" 
			required="true" trim="true" ></input>

	<br/><br/>
	<label for="Script_desc" dojoType="fbfwca.Localizable">L_Description</label>
	<br/>
	<input dojoType="dijit.form.TextBox" id="Script_desc" trim="true" class="long-text" ></input>
	
	<br/><br/>
	<label for="Script_numclients" dojoType="fbfwca.Localizable">L_Num_simultaneous_clients</label>
	<br/>
	<input dojoType="dijit.form.NumberTextBox" id="Script_numclients" 
				constraints="{min:0,places:0}" ></input>

	<br/><br/>
	<label for="Script_acceptTimeout" dojoType="fbfwca.Localizable">L_Script_acceptance_timeout</label>
	<br/>
	<input dojoType="dijit.form.NumberTextBox" id="Script_acceptTimeout" 
				constraints="{min:0,places:0}" ></input>
	<select id="Script_acceptTimeout_unitFS" dojoType="dijit.form.FilteringSelect" >
		<option value="0" dojoType="fbfwca.Localizable">T_Minutes</option>
		<option value="1" dojoType="fbfwca.Localizable">T_Hours</option>
		<option value="2" dojoType="fbfwca.Localizable">T_Days</option>
		<option value="3" dojoType="fbfwca.Localizable">T_Weeks</option>
	</select>


	<br/><br/>
	<label for="Script_completeTimeout" dojoType="fbfwca.Localizable">L_Script_completion_timeout</label>
	<br/>
	<input dojoType="dijit.form.NumberTextBox" id="Script_completeTimeout" 
				constraints="{min:1,places:0}" ></input>
	<select id="Script_completeTimeout_unitFS" dojoType="dijit.form.FilteringSelect" >
		<option value="0" dojoType="fbfwca.Localizable">T_Minutes</option>
		<option value="1" dojoType="fbfwca.Localizable">T_Hours</option>
		<option value="2" dojoType="fbfwca.Localizable">T_Days</option>
		<option value="3" dojoType="fbfwca.Localizable">T_Weeks</option>
	</select>

	<br/><br/>
	<label for="Script_commands" dojoType="fbfwca.Localizable">L_Script</label>
	<table style="width:500px" cellspacing="0" cellpadding="0" border="0">
		<tr>
			<td>
				<table style="width:100%" class="tip-table-footer-border" cellspacing="0" cellpadding="0" border="0">
					<tr class="tip-table-footer">
						<td class="tip-table-footer-data" width="100%" nowrap="nowrap"> 
							<div dojoType="dijit.Toolbar" class="tableToolbarArea" >
								<table cellspacing="0" cellpadding="0" border="0" vertical-align="middle">
								<tbody>
									<tr>
										<td>
											<select id="Script_AddCmdFS" dojoType="dijit.form.FilteringSelect" 
													onChange="scripts.AddCommand('Script_commands')">
												<option selected value="0" dojoType="fbfwca.Localizable">T_Select_Command</option>
												<option value="1" dojoType="fbfwca.Localizable">T_Back_up_all_files</option>
												<option value="2" dojoType="fbfwca.Localizable">T_Start_scheduled_backup</option>
												<option value="3" dojoType="fbfwca.Localizable">T_Pause_remote_backup</option>
												<option value="4" dojoType="fbfwca.Localizable">T_Resume_remote_backup</option>
												<option value="5" dojoType="fbfwca.Localizable">T_Report</option>
											</select>

										</td>
									</tr>
								</tbody>
								</table>
							</div>
						</td>			
					</tr>  
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<input dojoType="dijit.form.SimpleTextarea" id="Script_commands"
						style="height:200px;width:99%;" ></input>
			</td>
		</tr>
	</table>
												
	<br/><br/>
	<button dojoType="dijit.form.Button" id="EditScriptFormOK"
			onClick="scripts.OnClick_EditScript(0)">T_OK</button>
	<button dojoType="dijit.form.Button" id="EditScriptFormCancel"
			onClick="scripts.OnClick_EditScript(1)">T_CANCEL</button>
</div>
<!--=========================================================================================-->
<!--                       Create/Modify Alert Dialog Box                                    -->
<!--=========================================================================================-->
<div id="EditAlertForm" style="display:none;width:100%;height:100%;" class="normal-text">
	<!-- This is the header. -->
	<div class="form-header" id="EditAlertFormHead">Add/edit new alert</div>
	<div  dojoType="fbfwca.Localizable" >T_Create_Alert_Desc</div>

	<br/>
	<label for="Alert_name" dojoType="fbfwca.Localizable" >L_Alert_name</label>
	<br/>
	<input class="name-text" dojoType="dijit.form.ValidationTextBox" id="Alert_name" trim="true" required="true" ></input>

	<br/><br/>
	<label for="Alert_msgtext"  dojoType="fbfwca.Localizable">L_Message_text</label>
	<br/>
	<input dojoType="dijit.form.TextBox" id="Alert_msgtext" trim="true" style="width:700px" ></input>
	
	<h4 class="subsection-form" dojoType="fbfwca.Localizable">T_Send_email_notification</h4>
	<div dojoType="fbfwca.Localizable">T_Send_email_notification_desc</div><br/>
	<label for="Alert_email" class="tab" dojoType="fbfwca.Localizable">L_Email_addresses</label>
	<br/>
	<table border="0" cellspacing="0" cellpadding="0" class="tab">
		<tr>
			<td><input class="long-text" dojoType="dijit.form.ValidationTextBox" id="Alert_email" 
								trim="true"></input>
			</td>
			<td style="padding-left:4px">
				<button dojoType="dijit.form.Button" id="EditAlertFormBrowse"
					onClick="alerts.selectEmailAddr()">T_BROWSE</button>
			</td>
		</tr>
	</table>

	<h4 class="subsection-form" dojoType="fbfwca.Localizable">T_Set_client_health_status</h4>
	<div dojoType="fbfwca.Localizable">T_Set_client_health_status_desc</div><br/>
	<span class="tab"></span>
	<input dojoType="dijit.form.RadioButton" id="Normal_rb" name="AlertStatusRB" 
			value="0" type="radio" ></input>
	<label for="Normal_rb" selected="true" dojoType="fbfwca.Localizable">T_No_status_change</label>
	<br/>
	
	<span class="tab"></span>
	<input dojotype="dijit.form.RadioButton" id="Warning_rb" name="AlertStatusRB"
				 value="1" type="radio" ></input>
	<label for="Warning_rb" dojoType="fbfwca.Localizable">T_Warning</label>
	<br/>
	
	<span class="tab"></span>
	<input dojotype="dijit.form.RadioButton" id="Critical_rb" name="AlertStatusRB" 
				 value="2" type="radio" ></input>
	<label for="Critical_rb" dojoType="fbfwca.Localizable">T_Critical</label>  

	<h4 class="subsection-form" dojoType="fbfwca.Localizable">T_Conditions</h4>
	<div dojoType="fbfwca.Localizable">T_Conditions_desc</div><br/>
	<span class="tab"></span>
	<input dojoType="dijit.form.RadioButton" id="AlertAND_rb" name="AlertConditionRB" 
			value="0" type="radio" selected="true" ></input>
	<label for="AlertAND_rb" dojoType="fbfwca.Localizable">L_and_condition</label>

	<br/>
	<span class="tab"></span>
	<input dojotype="dijit.form.RadioButton" id="AlertOR_rb" name="AlertConditionRB"
				 value="1" type="radio" ></input>
	<label for="AlertOR_rb" dojoType="fbfwca.Localizable">L_or_condition</label>
	
	<br/><br/>
	<div dojotype="dijit.layout.BorderContainer" id="RulesContainer" design="sidebar"
			style="width:800px; height:92px; border:1px solid #cccccc;" >
  </div>
	
  <br/><br/>
      <!--=========================================================================================-->
      <!--                       Display the 3 buttons OK, Another and Cancel                      -->
      <!--=========================================================================================-->
      
      <div id="Alert_ThreeButtons"  style="display:none;">
          <button id="AlertOKBtn" dojoType="dijit.form.Button"
                  onClick="alerts.OnClick_EditAlert(0)">T_OK</button>
          <button id="AlertAnotherBtn" dojoType="dijit.form.Button" 
                  onClick="alerts.OnClick_EditAlert(1)">T_ADD_ANOTHER</button>
          <button id="AlertCancelBtn" dojoType="dijit.form.Button" 
                  onClick="alerts.OnClick_EditAlert(2)">T_CANCEL</button>
      </div>
      
      <!--=========================================================================================-->
      <!--                       Display the 2 buttons OK and Cancel                               -->
      <!--=========================================================================================-->
      
      <div id="Alert_TwoButtons"  style="display:none;">
          <button id="AlertOKBtn2" dojoType="dijit.form.Button"
                  onClick="alerts.OnClick_EditAlert(0)">T_OK</button>
          <button id="AlertCancelBtn2" dojoType="dijit.form.Button"
                  onClick="alerts.OnClick_EditAlert(2)">T_CANCEL</button>
      </div>
</div>

<!--=========================================================================================-->
<!--                       Tools Setting Dialog Box                                          -->
<!--=========================================================================================-->
<div id="ToolsSettingForm" style="display:none;width:100%;height:100%;" class="normal-text">
	<!-- This is the header. -->
	<div class="form-header" dojoType="fbfwca.Localizable">T_Tools_Setting</div>
	<div  dojoType="fbfwca.Localizable">T_Tools_Setting_Desc</div>
  
	<h4 class="subsection-form" dojoType="fbfwca.Localizable">T_Scan_Setting</h4>
	<p dojoType="fbfwca.Localizable">T_Scan_Setting_desc</p>
	<div dojoType="dijit.layout.ContentPane" style="padding-left:10px" >
	<label for="Scan_frequency" dojoType="fbfwca.Localizable">L_Scan_frequency</label>
	<table cellspacing="0" cellpadding="0" border="0">
		<tr>
			<td>
				<input dojoType="dijit.form.NumberTextBox" id="Scan_frequency" 
							constraints="{min:1,places:0}" ></input>
			</td>
			<td style="padding-left:4px">
				<select id="Scan_frequency_unitFS" dojoType="dijit.form.FilteringSelect">
					<option value="0" dojoType="fbfwca.Localizable">T_Minutes</option>
					<option value="1" dojoType="fbfwca.Localizable">T_Hours</option>
					<option value="2" dojoType="fbfwca.Localizable">T_Days</option>
					<option value="3" dojoType="fbfwca.Localizable">T_Weeks</option>
				</select>
			</td>			
		</tr>
	</table>
	</div>

	<h4 class="subsection-form" dojoType="fbfwca.Localizable">T_Email_Configuration</h4>
	<div dojoType="dijit.layout.ContentPane" style="padding-left:10px">
	<span dojoType="fbfwca.Localizable">T_Email_Configuration_Desc</span>
	<br/><br/>
	<label for="SMTP_address" dojoType="fbfwca.Localizable">L_Outgoing_email_addr</label>
	<br/>
	<input dojoType="dijit.form.TextBox" id="SMTP_address" trim="true" style="width:300px;" ></input>

	<br/><br/>
	<label for="SMTP_port" dojoType="fbfwca.Localizable">L_Outgoing_email_port</label>
	<br/>
	<input dojoType="dijit.form.NumberTextBox" id="SMTP_port" 
				constraints="{min:1,places:0}" ></input>
				
	<br/><br/>
	<span dojoType="fbfwca.Localizable">T_Email_Authorization_Desc</span>

	<br/><br/>
	<label for="Username" dojoType="fbfwca.Localizable">L_User_name</label>
	<br/>
	<input dojoType="dijit.form.TextBox" id="Username" trim="true" style="width:300px;" ></input>

	<br/><br/>
	<label for="UserPwd" dojoType="fbfwca.Localizable" >L_Password</label>
	<br/>
	<input dojoType="dijit.form.TextBox" id="UserPwd" trim="true" style="width:300px;"
			type=password ></input>

	<br/><br/>
	<label for="UserVerifyPwd" dojoType="fbfwca.Localizable">L_Verify_password</label>
	<br/>
	<input dojoType="dijit.form.TextBox" id="UserVerifyPwd" trim="true" style="width:300px;"
			type=password ></input>
	</div>
	<br/><br/>
	<button dojoType="dijit.form.Button" id="ToolsSettingFormOK"
			onClick="alerts.OnClick_ToolsSettingForm(0)">T_OK</button>
	<button dojoType="dijit.form.Button" id="ToolsSettingFormCancel"
			onClick="alerts.OnClick_ToolsSettingForm(1)">T_CANCEL</button>
</div>
<!--=========================================================================================-->
<!--                       EmailAddress Selection Dialog Box                                 -->
<!--=========================================================================================-->

<div dojoType="dijit.Dialog" id="emailAddrDialog" title="My dialog" onCancel="alerts.OnClick_EmailSelectForm(1)" 
	style="display:none;width:600px;height:400px"> 
<div dojoType="dijit.layout.ContentPane" region="center" >
<div dojoType="fbfwca.Localizable" class="normal-text" style="padding:15px;">T_Addr_Selection_Descr</div>
<br/>
<div id="emailaddrGridContainerNode" style="width:100%"></div>
<br/>
<button dojoType="dijit.form.Button" id="EmailaddrDialogOK"
	onClick="alerts.OnClick_EmailSelectForm(0)">T_OK</button>
<button dojoType="dijit.form.Button" id="EmailaddrDialogCancel"
	onClick="alerts.OnClick_EmailSelectForm(1)">T_CANCEL</button>
</div>
</div>

<!--=========================================================================================-->
<!--                       Folder Selection Dialog Box                                       -->
<!--=========================================================================================-->

<div dojoType="dijit.Dialog" id="folderSelectionDialog" title="T_Folder_Selection" onCancel="folders.OnClick_FolderSelectForm(1)"
	style="display:none;width:600px;height:400px"> 
<br/>
<div class="section-header" dojoType="fbfwca.Localizable">T_Select_a_Folder</div>
<div  dojoType="fbfwca.Localizable">T_Folder_Selection_Descr</div>
<div dojotype="dijit.layout.BorderContainer" id="folderTreeContainer" design="sidebar"
			style="width:600px; height:102px; border:2px solid #cccccc; padding:0px" >
</div>
<br/><br/>
<label for="SelFolder" dojoType="fbfwca.Localizable">T_Selected_Folder</label>
<br/>
<input dojoType="dijit.form.TextBox" id="SelFolder" trim="true" readOnly = true ;style="width:300px;" ></input>


<br/><br/><br/>
<button dojoType="dijit.form.Button" onClick="folders.OnClick_FolderSelectForm(0)">T_OK</button>
<button dojoType="dijit.form.Button" onClick="folders.OnClick_FolderSelectForm(1)">T_CANCEL</button>
</div>



<!--=========================================================================================-->
<!--                       End of page                                                       -->
<!--=========================================================================================-->
</div>