/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["fbfwca.ConfigNB"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["fbfwca.ConfigNB"] = true;
dojo.provide("fbfwca.ConfigNB");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.grid.DataGrid");
dojo.require("dojox.grid.cells");
dojo.require("dijit.Toolbar");
dojo.require("dijit.layout.TabContainer");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.form.TextBox");
dojo.require("dijit.form.ValidationTextBox");
dojo.require("dijit.form.NumberTextBox");
dojo.require("dijit.form.DateTextBox");
dojo.require("dijit.form.TimeTextBox");
dojo.require("dojo.date.locale");
dojo.require("dijit.form.CheckBox");
dojo.require("dijit.form.FilteringSelect");
dojo.require("dijit.form.SimpleTextarea");
dojo.require("ibm.tivoli.tip.dijit.TIPButton");
dojo.require("ibm.tivoli.tip.dijit.TIPTableSearchField_mod");
dojo.require("ibm.tivoli.tip.dijit.TIPMessageDialog");	
dojo.require("fbfwca.ajax");
dojo.require("fbfwca.Grid");
dojo.require("fbfwca.Config");
dojo.requireLocalization("nls", "general", null, "");
dojo.requireLocalization("nls_messages", "messages", null, "");

dojo.declare("fbfwca.ConfigNB", [dijit._Widget, dijit._Templated], {

	widgetsInTemplate: true,
	
	templateString:"<div class=\"tip-wiz\">\r\n  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" height=\"100%\">\r\n    <tr>\r\n      <td colspan=\"1\">\r\n        <div dojoType=\"dijit.layout.TabContainer\" tabPosition=\"left-h\"\r\n                dojoAttachPoint=\"configNB\" style=\"width:100%;height:600px;\"\r\n                tabStrip=\"true\" controllerWidget=\"dijit.layout.TabController\" >\r\n\r\n        <!-- ==================================================================\r\n\t\t\t\t\tGeneral Tab \r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"GeneralTab\" dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\"\r\n\t\t\t\t\t\t\ttitle=\"General\" id=\"GeneralTab\">\r\n\t\t\t\t\t<!-- This is the header. -->\r\n\t\t\t\t\t<div class=\"form-header-bold\" dojoType=\"fbfwca.Localizable\" >T_General_Heading</div>\r\n\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_General_Description</div>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"General_group\" dojoType=\"fbfwca.Localizable\">L_Group</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input class=\"name-text\" dojoType=\"dijit.form.TextBox\" dojoAttachPoint=\"General_group\" disabled=\"true\"\r\n\t\t\t\t\t\t\ttrim=\"true\"></input>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"General_desc\" dojoType=\"fbfwca.Localizable\">L_Description</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.TextBox\" dojoAttachPoint=\"General_desc\" class=\"long-text\" trim=\"true\"></input>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label dojoType=\"fbfwca.Localizable\">L_Members</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<div dojoAttachPoint=\"membersGridContainerNode\"></div>\r\n\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\tContinuous Protection Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"ContinuousTab\" dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\"\r\n\t\t\t\t\t\t\ttitle=\"Continuous Protection\" id=\"ContinuousTab\">\r\n\t\t\t\t\t<!-- This is the header. -->\r\n\t\t\t\t\t<div class=\"form-header-bold\" dojoType=\"fbfwca.Localizable\" >T_Continuous_Heading</div>\r\n\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_Continuous_Description</div>\r\n\r\n\t\t\t\t\t<!-- Continuous Protection Page: backup info \r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Continuous_backupTo\" dojoType=\"fbfwca.Localizable\">L_Local_Drive_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.ValidationTextBox\" dojoAttachPoint=\"Continuous_backupTo\" class=\"long-text\"\r\n\t\t\t\t\t\t\t\ttrim=\"true\"></input>\r\n\t\t\t\t\t-->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Continuous_versionsKeep\" dojoType=\"fbfwca.Localizable\">L_How_many_versions_to_keep</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Continuous_versionsKeep\"\r\n\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Continuous_maxspace\" dojoType=\"fbfwca.Localizable\">L_Backup_Max_Space_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Continuous_maxspace\"\r\n\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t<select dojoAttachPoint=\"Continuous_maxspace_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t</select>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Continuous_protectLevelFS\" dojoType=\"fbfwca.Localizable\" >L_Protection_Level_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<select dojoAttachPoint=\"Continuous_protectLevelFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\tstyle=\"width:310px\" >\r\n\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_None</option>\r\n\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Local_storage_only</option>\r\n\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_Remote_storage_only</option>\r\n\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_Local_and_remote</option>\r\n\t\t\t\t\t</select>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\tFiles to Protect Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"ProtectTab\" dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\"\r\n\t\t\t\t\t\t\ttitle=\"Files to Protect\" id=\"ProtectTab\">\r\n\t\t\t\t\t<!-- This is the header. -->\r\n\t\t\t\t\t<div class=\"form-header-bold\" dojoType=\"fbfwca.Localizable\" >T_Files_Protect_Heading</div>\r\n\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_Files_Protect_Description</div>\r\n\t\t\t\t\t\r\n\t\t\t\t\t<!-- Files to Protect Page: folders and files -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Protect_filesFolder\" dojoType=\"fbfwca.Localizable\">L_Folders_Files_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<textarea dojoType=\"dijit.form.SimpleTextarea\" dojoAttachPoint=\"Protect_filesFolder\"\r\n\t\t\t\t\t\t\trows=\"5\" cols=\"100\" trim=\"true\"></textarea>\r\n\r\n\t\t\t\t\t<!-- Files to Protect Page: exclude folders and files -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Protect_exclFilesFolder\" dojoType=\"fbfwca.Localizable\" >L_Excl_Folders_Files_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<textarea dojoType=\"dijit.form.SimpleTextarea\" dojoAttachPoint=\"Protect_exclFilesFolder\"\r\n\t\t\t\t\t\t\trows=\"5\" cols=\"100\" trim=\"true\"></textarea>\r\n\r\n\t\t\t\t\t<!-- Files to Protect Page: vaulting -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Protect_vaulting\" dojoType=\"fbfwca.Localizable\">L_Vaulting_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<textarea dojoType=\"dijit.form.SimpleTextarea\" dojoAttachPoint=\"Protect_vaulting\"\r\n\t\t\t\t\t\t\trows=\"5\" cols=\"100\" trim=\"true\"></textarea>\r\n\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\tE-mail Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"EmailTab\" dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\"\r\n\t\t\t\t\t\t\ttitle=\"E-mail Protection\" id=\"EmailTab\">\r\n\t\t\t\t\t<!-- This is the header. -->\r\n\t\t\t\t\t<div class=\"form-header-bold\" dojoType=\"fbfwca.Localizable\" >T_Email_Protection</div>\r\n\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_Email_Description</div>\r\n\r\n\t\t\t\t\t<!-- E-mail Page: E-mail application -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Email_applicationFS\" dojoType=\"fbfwca.Localizable\">L_Email_Appl_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<select dojoAttachPoint=\"Email_applicationFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\tstyle=\"width:260px\">\r\n\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_Select_Application</option>\r\n\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Lotus_Notes</option>\r\n\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_MS_Outlook</option>\r\n\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_MS_Outlook_Express</option>\r\n\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_All</option>\r\n\t\t\t\t\t\t<option value=\"5\" dojoType=\"fbfwca.Localizable\">T_Other</option>\r\n\t\t\t\t\t</select>\r\n\r\n\t\t\t\t\t<!-- E-mail Page: E-mail application data folder -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Email_dataFolder\" dojoType=\"fbfwca.Localizable\">L_Email_appl_folder</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.TextBox\" dojoAttachPoint=\"Email_dataFolder\" class=\"long-text\"\r\n\t\t\t\t\t\t\t\tdisabled=\"true\" trim=\"true\"></input>\r\n\r\n\t\t\t\t\t<!-- E-mail Page: E-mail application additional data folder -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Email_additionalFolder\" dojoType=\"fbfwca.Localizable\">L_Email_additional_folder</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<textarea dojoType=\"dijit.form.SimpleTextarea\" dojoAttachPoint=\"Email_additionalFolder\"\r\n\t\t\t\t\t\t\trows=\"5\" cols=\"100\" trim=\"true\"></textarea>\r\n\r\n\t\t\t\t\t<!-- E-mail Page: How many versions to keep -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Email_versionsKeep\" dojoType=\"fbfwca.Localizable\">L_How_many_versions_to_keep</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Email_versionsKeep\"\r\n\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\r\n\t\t\t\t\t<!-- E-mail Page: How often to protect email -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Email_schedFrequencyFS\" dojoType=\"fbfwca.Localizable\">L_How_often_to_protect_email</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<select dojoAttachPoint=\"Email_schedFrequencyFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\tstyle=\"width:150px\">\r\n\t\t\t\t\t\t<option value=\"none\" dojoType=\"fbfwca.Localizable\">T_Never</option>\r\n\t\t\t\t\t\t<option value=\"hourly\" dojoType=\"fbfwca.Localizable\">T_Hourly</option>\r\n\t\t\t\t\t\t<option value=\"daily\" dojoType=\"fbfwca.Localizable\">T_Daily</option>\r\n\t\t\t\t\t\t<option value=\"weekly\" dojoType=\"fbfwca.Localizable\">T_Weekly</option>\r\n\t\t\t\t\t\t<option value=\"monthly\" dojoType=\"fbfwca.Localizable\">T_Monthly</option>\r\n\t\t\t\t\t</select>\r\n\r\n\t\t\t\t\t<div dojoAttachPoint=\"Email_dynamicArea\" >\r\n\t\t\t\t\t\t<div dojoAttachPoint=\"Email_schedMonthly\">\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<label for=\"Email_schedDayOfMonthFS\" dojoType=\"fbfwca.Localizable\">L_On_what_day_of_the_month</label>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<select dojoAttachPoint=\"Email_schedDayOfMonthFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\tstyle=\"width:150px\">\r\n\t\t\t\t\t\t\t\t<option value=\"0\">1</option>\r\n\t\t\t\t\t\t\t\t<option value=\"1\">2</option>\r\n\t\t\t\t\t\t\t\t<option value=\"2\">3</option>\r\n\t\t\t\t\t\t\t\t<option value=\"3\">4</option>\r\n\t\t\t\t\t\t\t\t<option value=\"4\">5</option>\r\n\t\t\t\t\t\t\t\t<option value=\"5\">6</option>\r\n\t\t\t\t\t\t\t\t<option value=\"6\">7</option>\r\n\t\t\t\t\t\t\t\t<option value=\"7\">8</option>\r\n\t\t\t\t\t\t\t\t<option value=\"8\">9</option>\r\n\t\t\t\t\t\t\t\t<option value=\"9\">10</option>\r\n\t\t\t\t\t\t\t\t<option value=\"10\">11</option>\r\n\t\t\t\t\t\t\t\t<option value=\"11\">12</option>\r\n\t\t\t\t\t\t\t\t<option value=\"12\">13</option>\r\n\t\t\t\t\t\t\t\t<option value=\"13\">14</option>\r\n\t\t\t\t\t\t\t\t<option value=\"14\">15</option>\r\n\t\t\t\t\t\t\t\t<option value=\"15\">16</option>\r\n\t\t\t\t\t\t\t\t<option value=\"16\">17</option>\r\n\t\t\t\t\t\t\t\t<option value=\"17\">18</option>\r\n\t\t\t\t\t\t\t\t<option value=\"18\">19</option>\r\n\t\t\t\t\t\t\t\t<option value=\"19\">20</option>\r\n\t\t\t\t\t\t\t\t<option value=\"20\">21</option>\r\n\t\t\t\t\t\t\t\t<option value=\"21\">22</option>\r\n\t\t\t\t\t\t\t\t<option value=\"22\">23</option>\r\n\t\t\t\t\t\t\t\t<option value=\"23\">24</option>\r\n\t\t\t\t\t\t\t\t<option value=\"24\">25</option>\r\n\t\t\t\t\t\t\t\t<option value=\"25\">26</option>\r\n\t\t\t\t\t\t\t\t<option value=\"26\">27</option>\r\n\t\t\t\t\t\t\t\t<option value=\"27\">28</option>\r\n\t\t\t\t\t\t\t\t<option value=\"28\">29</option>\r\n\t\t\t\t\t\t\t\t<option value=\"29\">30</option>\r\n\t\t\t\t\t\t\t\t<option value=\"30\">31</option>\r\n\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t\t<div dojoAttachPoint=\"Email_schedWeekly\">\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<label for=\"Email_schedDayOfWeek\" dojoType=\"fbfwca.Localizable\">L_On_what_day_of_the_week</label>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<select dojoAttachPoint=\"Email_schedDayOfWeek\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\tstyle=\"width:150px\">\r\n\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_Sunday</option>\r\n\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Monday</option>\r\n\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_Tuesday</option>\r\n\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_Wednesday</option>\r\n\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_Thursday</option>\r\n\t\t\t\t\t\t\t\t<option value=\"5\" dojoType=\"fbfwca.Localizable\">T_Friday</option>\r\n\t\t\t\t\t\t\t\t<option value=\"6\" dojoType=\"fbfwca.Localizable\">T_Saturday</option>\r\n\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t\t<div dojoAttachPoint=\"Email_schedDaily\">\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<label for=\"Email_schedTime\" dojoType=\"fbfwca.Localizable\">L_At_this_time</label>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<input dojoAttachPoint=\"Email_schedTime\" value=\"T12:00:00\" style=\"width:150px\"\r\n\t\t\t\t\t\t\t\tdojoType=\"dijit.form.TimeTextBox\"\r\n\t\t\t\t\t\t\tconstraints=\"{formatLength:'medium', clickableIncrement:'T00:15:00',visibleIncrement:'T00:15:00',visibleRange:'T02:00:00'}\"\r\n\t\t\t\t\t\t\t\trequired=\"true\"\r\n\t\t\t\t\t\t\t\tinvalidMessage=\"\" ></input>\r\n\t\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\tRemote Storage Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"RemoteStorageTab\" dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\"\r\n\t\t\t\t\t\t\ttitle=\"Remote Storage\" id=\"RemoteStorageTab\">\r\n\t\t\t\t\t<!-- This is the header. -->\r\n\t\t\t\t\t<div class=\"form-header-bold\" dojoType=\"fbfwca.Localizable\" >T_Remote_Storage</div>\r\n\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_Remote_Storage_Description</div>\r\n\r\n\t\t\t\t\t<!-- Remote Storage Page: backup info -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Remote_backupToFS\" dojoType=\"fbfwca.Localizable\">L_Backup_To_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<select dojoAttachPoint=\"Remote_backupToFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\tstyle=\"width:260px\" >\r\n\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_None_Selected</option>\r\n\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_External_Device</option>\r\n\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_File_Server</option>\r\n\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TSM</option>\r\n\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_Web_Server</option>\r\n\t\t\t\t\t</select>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\">T_Remote_Warning</div>\r\n\t\t\t\r\n\t\t\t\t\t<!-- Remote Storage Page: location textbox -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Remote_location\" dojoType=\"fbfwca.Localizable\">L_Location</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.ValidationTextBox\" dojoAttachPoint=\"Remote_location\" class=\"long-text\"\r\n\t\t\t\t\t\t\t\ttrim=\"true\"></input>\r\n\r\n\t\t\t\t\t<!-- Remote Storage Page: How many versions to keep & max space for backups -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t<label for=\"Remote_versionKeep\" dojoType=\"fbfwca.Localizable\">L_How_many_versions_to_keep</label>\r\n\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t<td style=\"padding-left:30px;\">\r\n\t\t\t\t\t\t\t\t<label for=\"Remote_maxspace\" dojoType=\"fbfwca.Localizable\">L_Backup_Max_Space_Label</label>\r\n\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Remote_versionsKeep\"\r\n\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t<td colspan=\"2\" style=\"padding-left:30px;\">\r\n\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Remote_maxspace\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Remote_maxspace_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t\t</tbody>\r\n\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t</table>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<div class=\"subsection-wiz\" dojoType=\"fbfwca.Localizable\" >T_Advanced_Settings</div>\r\n\r\n\t\t\t\t\t<div class=\"tab\">\r\n\r\n\t\t\t\t\t\t<!-- Remote Storage Page: encrypt backups -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojotype=\"dijit.form.RadioButton\" dojoAttachPoint=\"Remote_encryptRB\" id=\"Remote_encryptRB\"\r\n\t\t\t\t\t\t\t\t\tname=\"EncryptCompressRB\" value=\"0\" type=\"radio\"></input>\r\n\t\t\t\t\t\t<label for=\"Remote_encryptRB\" dojoType=\"fbfwca.Localizable\">T_Encrypt_backups</label>\r\n\r\n\t\t\t\t\t\t<!-- Remote Storage Page: compress backups -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojotype=\"dijit.form.RadioButton\" dojoAttachPoint=\"Remote_compressRB\" id=\"Remote_compressRB\"\r\n\t\t\t\t\t\t\t\t\tname=\"EncryptCompressRB\" value=\"1\" type=\"radio\"></input>\r\n\t\t\t\t\t\t<label for=\"Remote_compressRB\" dojoType=\"fbfwca.Localizable\">T_Compress_backups</label>\r\n\r\n\t\t\t\t\t\t<!-- Remote Storage Page: sub-file backups -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojoAttachPoint=\"Remote_subfileCK\" id=\"Remote_subfileCK\" dojotype=\"dijit.form.CheckBox\"></input>\r\n\t\t\t\t\t\t<label for=\"Remote_subfileCK\" dojoType=\"fbfwca.Localizable\">T_Subfile_backups</label>\r\n\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<div class=\"tab\">\r\n\t\t\t\t\t\t\t<label for=\"Remote_subfile\" dojoType=\"fbfwca.Localizable\">L_Subfile_quota</label>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t<input dojoAttachPoint=\"Remote_subfile\" dojoType=\"dijit.form.NumberTextBox\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Remote_subfile_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t Advanced Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"AdvancedTab\" dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\"\r\n\t\t\t\t\t\t\ttitle=\"Advanced\" id=\"AdvancedTab\">\r\n\t\t\t\t\t<!-- This is the header. -->\r\n\t\t\t\t\t<div class=\"form-header-bold\" dojoType=\"fbfwca.Localizable\" >T_Advanced_Heading</div>\r\n\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_Advanced_Description</div>\r\n\r\n\t\t\t\t\t<!-- Advanced Page: Allow program messages to pop up  -->\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoAttachPoint=\"Advanced_msgPopupCK\" id=\"Advanced_msgPopupCK\" dojotype=\"dijit.form.CheckBox\"></input>\r\n\t\t\t\t\t<label for=\"Advanced_msgPopupCK\" dojoType=\"fbfwca.Localizable\">T_Msgs_Pop_Up</label>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoAttachPoint=\"Advanced_lockConfigCK\" id=\"Advanced_lockConfigCK\" dojotype=\"dijit.form.CheckBox\"></input>\r\n\t\t\t\t\t<label for=\"Advanced_lockConfigCK\" dojoType=\"fbfwca.Localizable\">T_Lock_Config</label>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<label for=\"Advanced_adminPollRate\" dojoType=\"fbfwca.Localizable\">L_How_often_to_check_updates</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Advanced_adminPollRate\"\r\n\t\t\t\t\t\t\t\tconstraints=\"{min:1,places:0}\" ></input>\r\n\t\t\t\t\t<select dojoAttachPoint=\"Advanced_adminPollRate_unitFS\" dojoType=\"dijit.form.FilteringSelect\" \r\n\t\t\t\t\t\t\tstyle=\"width:150px\" >\r\n\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_Minutes</option>\r\n\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Hours</option>\r\n\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_Days</option>\r\n\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_Weeks</option>\r\n\t\t\t\t\t</select>\r\n\t\t\t\t\t\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<div class=\"subsection-wiz\" dojoType=\"fbfwca.Localizable\" >T_Performance_Settings</div>\r\n\r\n\t\t\t\t\t<div class=\"tab\">\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_Performance_Settings_desc</div>\r\n\r\n\t\t\t\t\t\t<!-- Advanced Page: Performance local backup quota  -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Advanced_localQuota\" dojoType=\"fbfwca.Localizable\">L_Local_Max_Label</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t<input dojoAttachPoint=\"Advanced_localQuota\" dojoType=\"dijit.form.NumberTextBox\"\r\n\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Advanced_localQuota_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\r\n\t\t\t\t\t\t<!-- Advanced Page: Performance remote backup quota  -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Advanced_remoteQuota\" dojoType=\"fbfwca.Localizable\">L_Remote_Max_Label</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td colspan=\"2\">\r\n\t\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Advanced_remoteQuota\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Advanced_remoteQuota_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t\t\t</tbody>\r\n\t\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\r\n\t\t\t\t\t\t<!-- Advanced Page: Performance remote transfer rate  -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Advanced_maxTransfer\" dojoType=\"fbfwca.Localizable\">L_Max_Transfer_Rate_Label</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td colspan=\"2\">\r\n\t\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Advanced_maxTransfer\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Advanced_maxTransfer_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_Kbs</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Mbs</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_Gbs</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t\t\t</tbody>\r\n\t\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\t\t\t</div>\r\n\t\t</td>\r\n\t</tr>\r\n\t<tr>\r\n\t\t<td colspan=\"1\" valign=\"top\" width=\"100%\" >\r\n\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" dojoAttachPoint=\"FBWConfigNBToolbar\" class=\"tip-wiz-footer\" >\r\n\t\t\t\t\t<button dojoType=\"dijit.form.Button\" dojoAttachPoint=\"OKButton\" >OK</button>\r\n\t\t\t\t\t<button dojoType=\"dijit.form.Button\" dojoAttachPoint=\"applyButton\" >Apply</button>\r\n\t\t\t\t\t<button dojoType=\"dijit.form.Button\" dojoAttachPoint=\"cancelButton\" >Cancel</button>\r\n\t\t\t\t</div>\r\n\t\t</td>\r\n\t</tr>\r\n</table>\r\n</div>\r\n",	
	/**************************************************************************
	* Constructor
	**************************************************************************/
	constructor: function () {
		console.log("fbfwca.ConfigNB: constructor" );
		
		this.ConfigNBId = 'ConfigNBContainer';
		this.connections = [];
		this.gridObj = null;
		this.encryptRBState = false;
		this.compressRBState = false;
		this.refreshTable = false;
		this.NLS = dojo.i18n.getLocalization("nls", "general");
		this.NLS_MESSAGES = dojo.i18n.getLocalization("nls_messages", "messages");
	},

	/**************************************************************************
	* Cleanup function
	**************************************************************************/
	destroy : function () {
		console.log("fbfwca.ConfigNB: destroy" );

	  // Destroy all event connections
		dojo.forEach(this.connections, dojo.disconnect);
	  	delete this.connections;
	  	
	  if (this.configNB)
		{
			this.configNB.destroyRecursive();
			delete this.configNB;
			delete this.gridObj;
		}
		
		if (this.FBWConfigNBToolbar)
		{
			this.FBWConfigNBToolbar.destroyRecursive();
			delete this.FBWConfigNBToolbar;
		}

		var el = document.getElementById(this.ConfigNBId);
		if ( el ) {
			while(el.hasChildNodes()){
				el.removeChild(el.childNodes[0])
			}
		}

		delete this.encryptRBState;
		delete this.compressRBState;
 
		delete this.ConfigNBId;
		delete this.refreshTable;
		delete this.grouptable;
		delete this.NLS;
		delete this.NLS_MESSAGES;
	
 	},


	/**************************************************************************
	* Called after template has been processed.
	*
	**************************************************************************/
	postCreate: function () {

		console.log("postCreate: this.name=" + this.name);

		if ( this.name == null )
			this.refreshTable = true;

		//call super
		//this.inherited( "postCreate", arguments );
		this.grouptable = this.table;

		this.GeneralTab.attr("tooltip", this.NLS.T_General_Heading);
		this.ContinuousTab.attr("tooltip", this.NLS.T_Continuous_Heading);
		this.ProtectTab.attr("tooltip", this.NLS.T_Files_Protect_Heading);
		this.EmailTab.attr("tooltip", this.NLS.T_Email_Protection);
		this.RemoteStorageTab.attr("tooltip", this.NLS.T_Remote_Storage);
		this.AdvancedTab.attr("tooltip", this.NLS.T_Advanced_Heading);

		this.GeneralTab.attr("title", this.NLS.T_General_Heading);
		this.ContinuousTab.attr("title", this.NLS.T_Continuous_Heading);
		this.ProtectTab.attr("title", this.NLS.T_Files_Protect_Heading);
		this.EmailTab.attr("title", this.NLS.T_Email_Protection);
		this.RemoteStorageTab.attr("title", this.NLS.T_Remote_Storage);
		this.AdvancedTab.attr("title", this.NLS.T_Advanced_Heading);
		
		if(dojo.getComputedStyle(dojo.body()).direction == "rtl") {
		  this.configNB.attr("tabPosition", "right-h");
		  this.FBWConfigNBToolbar.attr("class","tip-wiz-footer-bidi");
		}else {
		  this.configNB.attr("tabPosition", "left-h");
		  this.FBWConfigNBToolbar.attr("class","tip-wiz-footer");
		}
				
		//-----------------------------
		// Add Toolbar
		//-----------------------------
		this.initializeToolbar();
		this.initNotebook();
		this.initMembersTable();

		//this.connections.push (dojo.connect(this.Continuous_backupTo, 'onChange', 
		//			dojo.hitch(this, this.onContinuous_backupToChanged)));
		//this.connections.push (dojo.connect(this.Remote_location, 'onChange', 
		//			dojo.hitch(this, this.onRemote_locationChanged)));
		//this.connections.push (dojo.connect(this.Continuous_protectLevelFS, 'onChange', 
		//			dojo.hitch(this, fbfwca.Config.onProtectLevelFSChanged, this)));
		this.connections.push (dojo.connect(this.Email_applicationFS, 'onChange', 
					dojo.hitch(this, fbfwca.Config.onApplicationFSChanged, this)));
		this.connections.push (dojo.connect(this.Email_schedFrequencyFS, 'onChange', 
					dojo.hitch(this, fbfwca.Config.onSchedFrequencyFSChanged, this)));
		this.connections.push (dojo.connect(this.Remote_backupToFS, 'onChange', 
					dojo.hitch(this, fbfwca.Config.onRemote_backupToFSChanged, this, true)));
		this.connections.push (dojo.connect(this.Remote_encryptRB, 'onClick', 
					dojo.hitch(this, fbfwca.Config.onEncryptRBClicked, this)));
		this.connections.push (dojo.connect(this.Remote_compressRB, 'onClick', 
					dojo.hitch(this, fbfwca.Config.onCompressRBClicked, this)));
		this.connections.push (dojo.connect(this.Remote_subfileCK, 'onClick', 
					dojo.hitch(this, fbfwca.Config.onSubfileCKChanged, this)));

		this.configNB.startup();
		this.configNB.resize();
		
		console.log("fbfwca.ConfigNB: exit postCreate");
	},

	/**************************************************************************
	* Resize function
	**************************************************************************/
	resize: function () {
	    if (this.configNB)
		this.configNB.resize();
	},
	
	/**************************************************************************
	* Initialize the toolbar with default buttons
	**************************************************************************/
	initializeToolbar: function() 
	{
		this.connections.push (dojo.connect(this.OKButton, 'onClick', dojo.hitch(this, this.onClick_OK)));
		this.connections.push (dojo.connect(this.applyButton, 'onClick', dojo.hitch(this, this.onClick_Apply)));
		this.connections.push (dojo.connect(this.cancelButton, 'onClick', dojo.hitch(this, this.onClick_Cancel)));
		
		this.OKButton.attr('label', this.NLS.T_OK);
		this.applyButton.attr('label', this.NLS.T_APPLY);
		this.cancelButton.attr('label', this.NLS.T_CANCEL);

		this.OKButton.attr('title', this.NLS.T_OK);
		this.applyButton.attr('title', this.NLS.T_APPLY);
		this.cancelButton.attr('title', this.NLS.T_CANCEL);
	},

	/**************************************************************************
	* Obtains data from the admin server and populate the notebook.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	initNotebook : function () {

		var data = this.data;

		fbfwca.Config.init(this, this.name, 1, data);
		
		// Set the global variables
		if ( this.Remote_encryptRB.attr('checked') )
			this.encryptRBState = true;
		else
			this.encryptRBState = false;
		
		if ( this.Remote_compressRB.attr('checked') )
			this.compressRBState = true;
		else
			this.compressRBState = false;
	},

	/**************************************************************************
	* Creates the group members table.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	initMembersTable : function () {
		var name = this.General_group.attr('value');		
		console.log("initMembersTable: name=" + name);

    var textAlign;
    if(dojo.getComputedStyle(dojo.body()).direction == "rtl")
      textAlign = "text-align:right;";
    else
      textAlign = "text-align:left;";
      
		var layout = [
			{field: 'uid', hidden:'true', filter:false },
			{field: 'name', name: this.NLS.T_Client_Name, width:'100%', styles:textAlign }
		];

		// Create the grid
		var store = fbfwca.ajax.getGroupMembers(name);
		var gridParms = { 
							store : store,
							layout : layout,
							refreshButton : false,
							multiSelect : false,
							autoHeight : false,
							height : "320px"
						};

		this.gridObj = new fbfwca.Grid(gridParms, document.createElement('div'));
		this.membersGridContainerNode.appendChild(this.gridObj.domNode);
		this.gridObj.resize();
	},

	/**************************************************************************
	* Validates pages, commits the changes and returns to the main page.
	* Otherwise, display the appropriate error.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	onClick_OK: function () 
	{
		console.log("onClick_OK");
		var rc = this.onClick_Apply();
		if ( rc == 0 )
			this.onClick_Cancel();
	},

	/**************************************************************************
	* Validates pages, commits the changes and stay on the notebook page.
	* Otherwise, displays the appropriate error.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	onClick_Apply: function () 
	{
		console.log("onClick_Apply");
		var rc = 0;
		var status = this.validatePages();
		if ( status )
		{
			var config = fbfwca.Config.getConfigData(this);
			console.log("onClick_Apply: ", config);
			var response = fbfwca.ajax.modifyGroup(config);
			delete config;
			if ( response == -1 )
				return -1;

			this.refreshTable = true;
		}
		else
			rc = -1;
			
		return rc;
	},
	
	/**************************************************************************
	* Performs cleanup and return to the main page.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	onClick_Cancel: function () 
	{
		dojo.style(this.ConfigNBId, "display", "none");
		dojo.style(this.pageid, "display", "block");

		if (this.parentDiv) {
				var el = document.getElementById(this.parentDiv);
				if ( el ) {
					while(el.hasChildNodes()){
						el.removeChild(el.childNodes[0]);
					}
				}
		}
		
		if ( this.refreshTable && this.grouptable )
			this.grouptable.onRefresh();
		this.destroy();

	},
	
	/**************************************************************************
	* Issues a warning message when local backup location was changed
	*
	* Parameter:
	*		obj - notebook object
	**************************************************************************/	
	/*
	onContinuous_backupToChanged : function (obj)
	{
		var displayed = dojo.cookie(this.LocalLocCookie);
		if ( displayed == undefined )
		{
			dojo.cookie(this.LocalLocCookie, "displayed");
			var msgDlg = new ibm.tivoli.tip.dijit.TIPMessageDialog(
					{message: this.NLS_MESSAGES.FBW1012W,
					 messageId: "FBW1012W",
					 type: "Warning"});
			msgDlg.show();
		}
			
	},
	*/
	
	/**************************************************************************
	* Validates required input fields on current step.  Returns false if
	* there is an error.  True, otherwise.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	validatePages: function()
	{
		var status2 = fbfwca.Config.validateRemotePage(this);
		var insert = "";
		var page = 0;
		
		if ( !status2 )
		{
			if ( page > 0 )
			{
				insert += ", ";
			}		
			else
				this.configNB.selectChild(this.RemoteStorageTab);
	
			insert += this.NLS.T_Remote_Storage;
			page++;
		}
			
		if ( page > 0 )
		{
			var msg = dojo.string.substitute(this.NLS_MESSAGES.FBW1009E, {0: insert});
		
			var msgDlg = new ibm.tivoli.tip.dijit.TIPMessageDialog(
					{message: msg,
					 messageId: "FBW1009E",
					 type: "Error"});
			msgDlg.show();

			return false;
		}
		
		return true;
	}
		
});

}
