<div class="tip-wiz">
  <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
    <tr>
      <td colspan="1">
        <div dojoType="dijit.layout.TabContainer" tabPosition="left-h"
                dojoAttachPoint="configNB" style="width:100%;height:600px;"
                tabStrip="true" controllerWidget="dijit.layout.TabController" >

        <!-- ==================================================================
					General Tab 
				=================================================================== -->
				<div dojoAttachPoint="GeneralTab" dojoType="dijit.layout.ContentPane" style="padding:15px;"
							title="General" id="GeneralTab">
					<!-- This is the header. -->
					<div class="form-header-bold" dojoType="fbfwca.Localizable" >T_General_Heading</div>
					<div dojoType="fbfwca.Localizable" >T_General_Description</div>

					<br/>
					<label for="General_group" dojoType="fbfwca.Localizable">L_Group</label>
					<br/>
					<input class="name-text" dojoType="dijit.form.TextBox" dojoAttachPoint="General_group" disabled="true"
							trim="true"></input>

					<br/>
					<br/>
					<label for="General_desc" dojoType="fbfwca.Localizable">L_Description</label>
					<br/>
					<input dojoType="dijit.form.TextBox" dojoAttachPoint="General_desc" class="long-text" trim="true"></input>

					<br/>
					<br/>
					<label dojoType="fbfwca.Localizable">L_Members</label>
					<br/>
					<div dojoAttachPoint="membersGridContainerNode"></div>

				</div>

				<!-- ==================================================================
					Continuous Protection Tab
				=================================================================== -->
				<div dojoAttachPoint="ContinuousTab" dojoType="dijit.layout.ContentPane" style="padding:15px;"
							title="Continuous Protection" id="ContinuousTab">
					<!-- This is the header. -->
					<div class="form-header-bold" dojoType="fbfwca.Localizable" >T_Continuous_Heading</div>
					<div dojoType="fbfwca.Localizable" >T_Continuous_Description</div>

					<!-- Continuous Protection Page: backup info 
					<br/>
					<br/>
					<label for="Continuous_backupTo" dojoType="fbfwca.Localizable">L_Local_Drive_Label</label>
					<br/>
					<input dojoType="dijit.form.ValidationTextBox" dojoAttachPoint="Continuous_backupTo" class="long-text"
								trim="true"></input>
					-->
					<br/>
					<label for="Continuous_versionsKeep" dojoType="fbfwca.Localizable">L_How_many_versions_to_keep</label>
					<br/>
					<input dojoType="dijit.form.NumberTextBox" dojoAttachPoint="Continuous_versionsKeep"
								constraints="{min:0,places:0}" ></input>

					<br/>
					<br/>
					<label for="Continuous_maxspace" dojoType="fbfwca.Localizable">L_Backup_Max_Space_Label</label>
					<br/>
					<input dojoType="dijit.form.NumberTextBox" dojoAttachPoint="Continuous_maxspace"
								constraints="{min:0,places:0}" ></input>
					<select dojoAttachPoint="Continuous_maxspace_unitFS" dojoType="dijit.form.FilteringSelect"
							style="width:125px">
						<option value="0" dojoType="fbfwca.Localizable">T_KB</option>
						<option value="1" dojoType="fbfwca.Localizable">T_MB</option>
						<option value="2" dojoType="fbfwca.Localizable">T_GB</option>
						<option value="3" dojoType="fbfwca.Localizable">T_TB</option>
						<option value="4" dojoType="fbfwca.Localizable">T_PB</option>
					</select>

					<br/>
					<br/>
					<label for="Continuous_protectLevelFS" dojoType="fbfwca.Localizable" >L_Protection_Level_Label</label>
					<br/>
					<select dojoAttachPoint="Continuous_protectLevelFS" dojoType="dijit.form.FilteringSelect"
							style="width:310px" >
						<option value="0" dojoType="fbfwca.Localizable">T_None</option>
						<option value="1" dojoType="fbfwca.Localizable">T_Local_storage_only</option>
						<option value="2" dojoType="fbfwca.Localizable">T_Remote_storage_only</option>
						<option value="3" dojoType="fbfwca.Localizable">T_Local_and_remote</option>
					</select>
				</div>

				<!-- ==================================================================
					Files to Protect Tab
				=================================================================== -->
				<div dojoAttachPoint="ProtectTab" dojoType="dijit.layout.ContentPane" style="padding:15px;"
							title="Files to Protect" id="ProtectTab">
					<!-- This is the header. -->
					<div class="form-header-bold" dojoType="fbfwca.Localizable" >T_Files_Protect_Heading</div>
					<div dojoType="fbfwca.Localizable" >T_Files_Protect_Description</div>
					
					<!-- Files to Protect Page: folders and files -->
					<br/>
					<label for="Protect_filesFolder" dojoType="fbfwca.Localizable">L_Folders_Files_Label</label>
					<br/>
					<textarea dojoType="dijit.form.SimpleTextarea" dojoAttachPoint="Protect_filesFolder"
							rows="5" cols="100" trim="true"></textarea>

					<!-- Files to Protect Page: exclude folders and files -->
					<br/>
					<br/>
					<label for="Protect_exclFilesFolder" dojoType="fbfwca.Localizable" >L_Excl_Folders_Files_Label</label>
					<br/>
					<textarea dojoType="dijit.form.SimpleTextarea" dojoAttachPoint="Protect_exclFilesFolder"
							rows="5" cols="100" trim="true"></textarea>

					<!-- Files to Protect Page: vaulting -->
					<br/>
					<br/>
					<label for="Protect_vaulting" dojoType="fbfwca.Localizable">L_Vaulting_Label</label>
					<br/>
					<textarea dojoType="dijit.form.SimpleTextarea" dojoAttachPoint="Protect_vaulting"
							rows="5" cols="100" trim="true"></textarea>

				</div>

				<!-- ==================================================================
					E-mail Tab
				=================================================================== -->
				<div dojoAttachPoint="EmailTab" dojoType="dijit.layout.ContentPane" style="padding:15px;"
							title="E-mail Protection" id="EmailTab">
					<!-- This is the header. -->
					<div class="form-header-bold" dojoType="fbfwca.Localizable" >T_Email_Protection</div>
					<div dojoType="fbfwca.Localizable" >T_Email_Description</div>

					<!-- E-mail Page: E-mail application -->
					<br/>
					<label for="Email_applicationFS" dojoType="fbfwca.Localizable">L_Email_Appl_Label</label>
					<br/>
					<select dojoAttachPoint="Email_applicationFS" dojoType="dijit.form.FilteringSelect"
							style="width:260px">
						<option value="0" dojoType="fbfwca.Localizable">T_Select_Application</option>
						<option value="1" dojoType="fbfwca.Localizable">T_Lotus_Notes</option>
						<option value="2" dojoType="fbfwca.Localizable">T_MS_Outlook</option>
						<option value="3" dojoType="fbfwca.Localizable">T_MS_Outlook_Express</option>
						<option value="4" dojoType="fbfwca.Localizable">T_All</option>
						<option value="5" dojoType="fbfwca.Localizable">T_Other</option>
					</select>

					<!-- E-mail Page: E-mail application data folder -->
					<br/>
					<br/>
					<label for="Email_dataFolder" dojoType="fbfwca.Localizable">L_Email_appl_folder</label>
					<br/>
					<input dojoType="dijit.form.TextBox" dojoAttachPoint="Email_dataFolder" class="long-text"
								disabled="true" trim="true"></input>

					<!-- E-mail Page: E-mail application additional data folder -->
					<br/>
					<br/>
					<label for="Email_additionalFolder" dojoType="fbfwca.Localizable">L_Email_additional_folder</label>
					<br/>
					<textarea dojoType="dijit.form.SimpleTextarea" dojoAttachPoint="Email_additionalFolder"
							rows="5" cols="100" trim="true"></textarea>

					<!-- E-mail Page: How many versions to keep -->
					<br/>
					<br/>
					<label for="Email_versionsKeep" dojoType="fbfwca.Localizable">L_How_many_versions_to_keep</label>
					<br/>
					<input dojoType="dijit.form.NumberTextBox" dojoAttachPoint="Email_versionsKeep"
								constraints="{min:0,places:0}" ></input>
								
					<!-- E-mail Page: How often to protect email -->
					<br/>
					<br/>
					<label for="Email_schedFrequencyFS" dojoType="fbfwca.Localizable">L_How_often_to_protect_email</label>
					<br/>
					<select dojoAttachPoint="Email_schedFrequencyFS" dojoType="dijit.form.FilteringSelect"
							style="width:150px">
						<option value="none" dojoType="fbfwca.Localizable">T_Never</option>
						<option value="hourly" dojoType="fbfwca.Localizable">T_Hourly</option>
						<option value="daily" dojoType="fbfwca.Localizable">T_Daily</option>
						<option value="weekly" dojoType="fbfwca.Localizable">T_Weekly</option>
						<option value="monthly" dojoType="fbfwca.Localizable">T_Monthly</option>
					</select>

					<div dojoAttachPoint="Email_dynamicArea" >
						<div dojoAttachPoint="Email_schedMonthly">
							<br/>
							<label for="Email_schedDayOfMonthFS" dojoType="fbfwca.Localizable">L_On_what_day_of_the_month</label>
							<br/>
							<select dojoAttachPoint="Email_schedDayOfMonthFS" dojoType="dijit.form.FilteringSelect"
									style="width:150px">
								<option value="0">1</option>
								<option value="1">2</option>
								<option value="2">3</option>
								<option value="3">4</option>
								<option value="4">5</option>
								<option value="5">6</option>
								<option value="6">7</option>
								<option value="7">8</option>
								<option value="8">9</option>
								<option value="9">10</option>
								<option value="10">11</option>
								<option value="11">12</option>
								<option value="12">13</option>
								<option value="13">14</option>
								<option value="14">15</option>
								<option value="15">16</option>
								<option value="16">17</option>
								<option value="17">18</option>
								<option value="18">19</option>
								<option value="19">20</option>
								<option value="20">21</option>
								<option value="21">22</option>
								<option value="22">23</option>
								<option value="23">24</option>
								<option value="24">25</option>
								<option value="25">26</option>
								<option value="26">27</option>
								<option value="27">28</option>
								<option value="28">29</option>
								<option value="29">30</option>
								<option value="30">31</option>
							</select>
						</div>

						<div dojoAttachPoint="Email_schedWeekly">
							<br/>
							<label for="Email_schedDayOfWeek" dojoType="fbfwca.Localizable">L_On_what_day_of_the_week</label>
							<br/>
							<select dojoAttachPoint="Email_schedDayOfWeek" dojoType="dijit.form.FilteringSelect"
									style="width:150px">
								<option value="0" dojoType="fbfwca.Localizable">T_Sunday</option>
								<option value="1" dojoType="fbfwca.Localizable">T_Monday</option>
								<option value="2" dojoType="fbfwca.Localizable">T_Tuesday</option>
								<option value="3" dojoType="fbfwca.Localizable">T_Wednesday</option>
								<option value="4" dojoType="fbfwca.Localizable">T_Thursday</option>
								<option value="5" dojoType="fbfwca.Localizable">T_Friday</option>
								<option value="6" dojoType="fbfwca.Localizable">T_Saturday</option>
							</select>
						</div>

						<div dojoAttachPoint="Email_schedDaily">
							<br/>
							<label for="Email_schedTime" dojoType="fbfwca.Localizable">L_At_this_time</label>
							<br/>
							<input dojoAttachPoint="Email_schedTime" value="T12:00:00" style="width:150px"
								dojoType="dijit.form.TimeTextBox"
							constraints="{formatLength:'medium', clickableIncrement:'T00:15:00',visibleIncrement:'T00:15:00',visibleRange:'T02:00:00'}"
								required="true"
								invalidMessage="" ></input>
						</div>

					</div>
				</div>

				<!-- ==================================================================
					Remote Storage Tab
				=================================================================== -->
				<div dojoAttachPoint="RemoteStorageTab" dojoType="dijit.layout.ContentPane" style="padding:15px;"
							title="Remote Storage" id="RemoteStorageTab">
					<!-- This is the header. -->
					<div class="form-header-bold" dojoType="fbfwca.Localizable" >T_Remote_Storage</div>
					<div dojoType="fbfwca.Localizable" >T_Remote_Storage_Description</div>

					<!-- Remote Storage Page: backup info -->
					<br/>
					<label for="Remote_backupToFS" dojoType="fbfwca.Localizable">L_Backup_To_Label</label>
					<br/>
					<select dojoAttachPoint="Remote_backupToFS" dojoType="dijit.form.FilteringSelect"
							style="width:260px" >
						<option value="0" dojoType="fbfwca.Localizable">T_None_Selected</option>
						<option value="1" dojoType="fbfwca.Localizable">T_External_Device</option>
						<option value="2" dojoType="fbfwca.Localizable">T_File_Server</option>
						<option value="3" dojoType="fbfwca.Localizable">T_TSM</option>
						<option value="4" dojoType="fbfwca.Localizable">T_Web_Server</option>
					</select>
					<br/>
					<br/>
					<div dojoType="fbfwca.Localizable">T_Remote_Warning</div>
			
					<!-- Remote Storage Page: location textbox -->
					<br/>
					<label for="Remote_location" dojoType="fbfwca.Localizable">L_Location</label>
					<br/>
					<input dojoType="dijit.form.ValidationTextBox" dojoAttachPoint="Remote_location" class="long-text"
								trim="true"></input>

					<!-- Remote Storage Page: How many versions to keep & max space for backups -->
					<br/>
					<br/>
					<table cellspacing="0" cellpadding="0" border="0">
						<tr>
							<td>
								<label for="Remote_versionKeep" dojoType="fbfwca.Localizable">L_How_many_versions_to_keep</label>
							</td>
							<td style="padding-left:30px;">
								<label for="Remote_maxspace" dojoType="fbfwca.Localizable">L_Backup_Max_Space_Label</label>
							</td>
						</tr>
						<tr>
							<td>
								<input dojoType="dijit.form.NumberTextBox" dojoAttachPoint="Remote_versionsKeep"
											constraints="{min:0,places:0}" ></input>
							</td>
							<td colspan="2" style="padding-left:30px;">
								<table cellspacing="0" cellpadding="0" border="0">
									<tbody>
										<tr>
											<td>
												<input dojoType="dijit.form.NumberTextBox" dojoAttachPoint="Remote_maxspace"
															constraints="{min:0,places:0}" ></input>
											</td>
											<td>
												<select dojoAttachPoint="Remote_maxspace_unitFS" dojoType="dijit.form.FilteringSelect"
														style="width:125px">
													<option value="0" dojoType="fbfwca.Localizable">T_KB</option>
													<option value="1" dojoType="fbfwca.Localizable">T_MB</option>
													<option value="2" dojoType="fbfwca.Localizable">T_GB</option>
													<option value="3" dojoType="fbfwca.Localizable">T_TB</option>
													<option value="4" dojoType="fbfwca.Localizable">T_PB</option>
												</select>
											</td>
										</tr>
									</tbody>
								</table>
							</td>
						</tr>
					</table>

					<br/>
					<div class="subsection-wiz" dojoType="fbfwca.Localizable" >T_Advanced_Settings</div>

					<div class="tab">

						<!-- Remote Storage Page: encrypt backups -->
						<br/>
						<input dojotype="dijit.form.RadioButton" dojoAttachPoint="Remote_encryptRB" id="Remote_encryptRB"
									name="EncryptCompressRB" value="0" type="radio"></input>
						<label for="Remote_encryptRB" dojoType="fbfwca.Localizable">T_Encrypt_backups</label>

						<!-- Remote Storage Page: compress backups -->
						<br/>
						<input dojotype="dijit.form.RadioButton" dojoAttachPoint="Remote_compressRB" id="Remote_compressRB"
									name="EncryptCompressRB" value="1" type="radio"></input>
						<label for="Remote_compressRB" dojoType="fbfwca.Localizable">T_Compress_backups</label>

						<!-- Remote Storage Page: sub-file backups -->
						<br/>
						<br/>
						<input dojoAttachPoint="Remote_subfileCK" id="Remote_subfileCK" dojotype="dijit.form.CheckBox"></input>
						<label for="Remote_subfileCK" dojoType="fbfwca.Localizable">T_Subfile_backups</label>

						<br/>
						<br/>
						<div class="tab">
							<label for="Remote_subfile" dojoType="fbfwca.Localizable">L_Subfile_quota</label>
							<br/>
							<table cellspacing="0" cellpadding="0" border="0">
								<tr>
									<td>
										<input dojoAttachPoint="Remote_subfile" dojoType="dijit.form.NumberTextBox"
													constraints="{min:0,places:0}" ></input>
									</td>
									<td>
										<select dojoAttachPoint="Remote_subfile_unitFS" dojoType="dijit.form.FilteringSelect"
												style="width:125px">
											<option value="0" dojoType="fbfwca.Localizable">T_KB</option>
											<option value="1" dojoType="fbfwca.Localizable">T_MB</option>
											<option value="2" dojoType="fbfwca.Localizable">T_GB</option>
											<option value="3" dojoType="fbfwca.Localizable">T_TB</option>
											<option value="4" dojoType="fbfwca.Localizable">T_PB</option>
										</select>
									</td>
								</tr>
							</table>
						</div>
					</div>

				</div>

				<!-- ==================================================================
				 Advanced Tab
				=================================================================== -->
				<div dojoAttachPoint="AdvancedTab" dojoType="dijit.layout.ContentPane" style="padding:15px;"
							title="Advanced" id="AdvancedTab">
					<!-- This is the header. -->
					<div class="form-header-bold" dojoType="fbfwca.Localizable" >T_Advanced_Heading</div>
					<div dojoType="fbfwca.Localizable" >T_Advanced_Description</div>

					<!-- Advanced Page: Allow program messages to pop up  -->
					<br/>
					<input dojoAttachPoint="Advanced_msgPopupCK" id="Advanced_msgPopupCK" dojotype="dijit.form.CheckBox"></input>
					<label for="Advanced_msgPopupCK" dojoType="fbfwca.Localizable">T_Msgs_Pop_Up</label>

					<br/>
					<br/>
					<input dojoAttachPoint="Advanced_lockConfigCK" id="Advanced_lockConfigCK" dojotype="dijit.form.CheckBox"></input>
					<label for="Advanced_lockConfigCK" dojoType="fbfwca.Localizable">T_Lock_Config</label>

					<br/>
					<br/>
					<label for="Advanced_adminPollRate" dojoType="fbfwca.Localizable">L_How_often_to_check_updates</label>
					<br/>
					<input dojoType="dijit.form.NumberTextBox" dojoAttachPoint="Advanced_adminPollRate"
								constraints="{min:1,places:0}" ></input>
					<select dojoAttachPoint="Advanced_adminPollRate_unitFS" dojoType="dijit.form.FilteringSelect" 
							style="width:150px" >
						<option value="0" dojoType="fbfwca.Localizable">T_Minutes</option>
						<option value="1" dojoType="fbfwca.Localizable">T_Hours</option>
						<option value="2" dojoType="fbfwca.Localizable">T_Days</option>
						<option value="3" dojoType="fbfwca.Localizable">T_Weeks</option>
					</select>
					
					<br/>
					<br/>
					<div class="subsection-wiz" dojoType="fbfwca.Localizable" >T_Performance_Settings</div>

					<div class="tab">
						<br/>
						<div dojoType="fbfwca.Localizable" >T_Performance_Settings_desc</div>

						<!-- Advanced Page: Performance local backup quota  -->
						<br/>
						<label for="Advanced_localQuota" dojoType="fbfwca.Localizable">L_Local_Max_Label</label>
						<br/>
						<table cellspacing="0" cellpadding="0" border="0">
							<tr>
								<td>
									<input dojoAttachPoint="Advanced_localQuota" dojoType="dijit.form.NumberTextBox"
												constraints="{min:0,places:0}" ></input>
								</td>
								<td>
									<select dojoAttachPoint="Advanced_localQuota_unitFS" dojoType="dijit.form.FilteringSelect"
											style="width:125px">
										<option value="0" dojoType="fbfwca.Localizable">T_KB</option>
										<option value="1" dojoType="fbfwca.Localizable">T_MB</option>
										<option value="2" dojoType="fbfwca.Localizable">T_GB</option>
										<option value="3" dojoType="fbfwca.Localizable">T_TB</option>
										<option value="4" dojoType="fbfwca.Localizable">T_PB</option>
									</select>
								</td>
							</tr>
						</table>

						<!-- Advanced Page: Performance remote backup quota  -->
						<br/>
						<label for="Advanced_remoteQuota" dojoType="fbfwca.Localizable">L_Remote_Max_Label</label>
						<br/>
						<table cellspacing="0" cellpadding="0" border="0">
							<tr>
								<td colspan="2">
									<table cellspacing="0" cellpadding="0" border="0">
										<tbody>
											<tr>
												<td>
													<input dojoType="dijit.form.NumberTextBox" dojoAttachPoint="Advanced_remoteQuota"
																constraints="{min:0,places:0}" ></input>
												</td>
												<td>
													<select dojoAttachPoint="Advanced_remoteQuota_unitFS" dojoType="dijit.form.FilteringSelect"
															style="width:125px">
														<option value="0" dojoType="fbfwca.Localizable">T_KB</option>
														<option value="1" dojoType="fbfwca.Localizable">T_MB</option>
														<option value="2" dojoType="fbfwca.Localizable">T_GB</option>
														<option value="3" dojoType="fbfwca.Localizable">T_TB</option>
														<option value="4" dojoType="fbfwca.Localizable">T_PB</option>
													</select>
												</td>
											</tr>
										</tbody>
									</table>
								</td>
							</tr>
						</table>

						<!-- Advanced Page: Performance remote transfer rate  -->
						<br/>
						<label for="Advanced_maxTransfer" dojoType="fbfwca.Localizable">L_Max_Transfer_Rate_Label</label>
						<br/>
						<table cellspacing="0" cellpadding="0" border="0">
							<tr>
								<td colspan="2">
									<table cellspacing="0" cellpadding="0" border="0">
										<tbody>
											<tr>
												<td>
													<input dojoType="dijit.form.NumberTextBox" dojoAttachPoint="Advanced_maxTransfer"
																constraints="{min:0,places:0}" ></input>
												</td>
												<td>
													<select dojoAttachPoint="Advanced_maxTransfer_unitFS" dojoType="dijit.form.FilteringSelect"
															style="width:125px">
														<option value="0" dojoType="fbfwca.Localizable">T_Kbs</option>
														<option value="1" dojoType="fbfwca.Localizable">T_Mbs</option>
														<option value="2" dojoType="fbfwca.Localizable">T_Gbs</option>
													</select>
												</td>
											</tr>
										</tbody>
									</table>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</div>
		</td>
	</tr>
	<tr>
		<td colspan="1" valign="top" width="100%" >
				<div dojoType="dijit.layout.ContentPane" dojoAttachPoint="FBWConfigNBToolbar" class="tip-wiz-footer" >
					<button dojoType="dijit.form.Button" dojoAttachPoint="OKButton" >OK</button>
					<button dojoType="dijit.form.Button" dojoAttachPoint="applyButton" >Apply</button>
					<button dojoType="dijit.form.Button" dojoAttachPoint="cancelButton" >Cancel</button>
				</div>
		</td>
	</tr>
</table>
</div>
