/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.tivoli.tip.dijit.Caret"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.tivoli.tip.dijit.Caret"] = true;
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2008 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/

 dojo.provide("ibm.tivoli.tip.dijit.Caret"); 

dojo.require("dijit.form.ComboBox");

/**
 * Caret. 
 *
 * @author: Marco Lerro (marco.lerro@it.ibm.com)   
 */
dojo.declare(
    "ibm.tivoli.tip.dijit.Caret",
	[dijit.form.ComboBoxMixin],
	{
	    /** the DOM node to manage */
	    _node: null,
	    
	    /**
	     * Constructor.
	     */
	    constructor: function(node)
	    {
	        this._node = node;
	    },
	    
        /**
         * Returns the caret position.
         */
        getPosition: function()
		{
			return this._getCaretPos(this._node);
		},
		
		/**
         * Sets the caret position.
         */
		setPosition: function(index)
		{
		    this._setCaretPos(this._node, index);
		}
	}
);

}
