/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.tivoli.tip.dijit.picker.Picker"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.tivoli.tip.dijit.picker.Picker"] = true;
dojo.provide("ibm.tivoli.tip.dijit.picker.Picker"); 

dojo.require("dijit._Widget");

/**
 * The base interface for a picker. 
 */
dojo.declare(
    "ibm.tivoli.tip.dijit.picker.Picker",
    [dijit._Widget],
    {
        
        /**
         * Opens the picker.
         */
        open: function()
        {
        },

        /**
         * Closes the picker.
         */
        close: function()
        {
        },
        
        /**
         * Opens the picker if closed, closes the picker if opened.
         */
        toggle: function()
        {
		   //console.log("Picker toggle Start ");
		   
            this.isOpen() ? this.close() : this.open();
			//console.log("Picker toggle End ");
        },
        
        /**
         * Returns true if the picker is opened.
         */
        isOpen: function()
        {
            return false;
        },        

        /**
         * Called back when a value has been selected from the picker.
         * 
         *      @param value: the value selected. 
         *          The value is provided by the picker and its
         *          type dependes on the specific picker implementation.
         */
        onValueSelected: function(value)
        {
        },
            
        /**
         * Sets the start-value to be shown by the picker when opened.
         * 
         *      @param value: the value to be shown by the picker. 
         *          The value's type dependes on the specific picker 
         *          implementation.
         */                    
        setValue: function(value)
        {
        }
    }        
);


}
