<!-- ***************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
*
* (C) Copyright IBM Corp. 2009
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
********************************************************** {COPYRIGHT-END} -->
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

<%@ page import="java.util.*,
                 javax.portlet.*,
                 com.tivoli.fbfw.ca.*" %>

<%
	PortletSession pSession = (PortletSession)renderRequest.getPortletSession();
	AboutBean aboutBean = (AboutBean)pSession.getAttribute(AboutPortlet.ABOUT_BEAN);
	String fbwDetails[][] = aboutBean.getDetails(renderRequest.getLocale());
%>

<style type="text/css">
	@import "<%=request.getContextPath()%>/js/dojo/dijit/themes/tundra/tundra.css";
	@import "<%=request.getContextPath()%>/js/dojo/ibm/tivoli/tip/dijit/themes/Tivoli_Tundra.css";
	@import "<%=request.getContextPath()%>/jsp/CSS/FBWCA.css";
</style>


<script type="text/javascript" src="<%=request.getContextPath()%>/js/dojo/dojo/dojo.js"
	djconfig="isDebug:true,parseOnLoad:true,locale:'<%=request.getLocale().toString().replace('_','-').toLowerCase()%>'" ></script>

<script type="text/javascript">
		dojo.registerModulePath("nls", "../fbfwca");

		dojo.require("dojo.i18n");
		dojo.require("dojo.parser");
		dojo.require("dijit.layout.ContentPane");
		dojo.require("fbfwca.Localizable");
		dojo.requireLocalization("nls", "general");		
   	var root = "<%=request.getContextPath()%>";

		dojo.addOnLoad(function(){
		dojo.style(dojo.body(), {height: "100%", width: "100%", direction:"ltr"});
			
		  if(dojo.getComputedStyle(dojo.body()).direction == "rtl"){
		      document.getElementById("fbw-title1").style.right = "90px";
		      document.getElementById("fbw-title2").style.right = "90px";
		      document.getElementById("fbw-release").style.right = "90px";
		      document.getElementById("fbw-copyright").style.right = "20px";
		      document.getElementById("fbw-copyright-image").src = "<%=request.getContextPath()%>/jsp/CSS/images/fbfwca_bidi.png";
      }else{
          document.getElementById("fbw-title1").style.left = "90px";
          document.getElementById("fbw-title2").style.left = "90px";
          document.getElementById("fbw-release").style.left = "90px";
          document.getElementById("fbw-copyright").style.left = "20px";
		      document.getElementById("fbw-copyright-image").src = "<%=request.getContextPath()%>/jsp/CSS/images/fbfwca.png";
	    }
	  });   

		function TwistieListener(){
			var node = dojo.byId("ImageTwistie");
			var pane = dojo.byId("DetailsContentPane");

			if ( pane.style.display == "none" )
			{
				pane.style.display = "block";
				node.src = root + "/jsp/CSS/images/twistie_expanded.gif";
			}
			else
			{
				pane.style.display = "none";
				node.src = root + "/jsp/CSS/images/twistie_collapsed.gif";
			}
		}
		
</script>
<div id="<portlet:namespace/>_main" style="width: 100%; height: 100%;" >
<img id="fbw-copyright-image" src="<%=request.getContextPath()%>/jsp/CSS/images/fbfwca.png" 
        style="background-repeat:no-repeat;background-position:top;width:650px;height:460px;margin:0px;" >
		<div id="fbw-title1" dojoType="fbfwca.Localizable" class="product-title" style="position:absolute;top:242px;margin:0px;">T_Product</div>
    <div id="fbw-title2" dojoType="fbfwca.Localizable" class="product-title" style="position:absolute;top:257px;margin:0px;">T_Component</div>
    <div id="fbw-release" class="product-release" style="position:absolute;top:272px;margin:0px;">
    <script type="text/javascript">
        var version = "<%=fbwDetails[10][1]%>";
	  var versions = version.split(".");
        document.write(versions[0]);
        document.write(".");
        document.write(versions[1]);
    </script></div>

   <div id="fbw-copyright" class="copyright-text" style="width:590px;position:absolute;top:300px;margin:0px;">
      <span dojoType="fbfwca.Localizable">T_COPYRIGHT</span> <%=fbwDetails[0][1]%>
      <span dojoType="fbfwca.Localizable">T_COPYRIGHT2</span>
	    <br/><br/>
	    <%=fbwDetails[10][0]%> <%=fbwDetails[10][1]%>
   </div>
 </img>

<br/>
<table cellspacing="3" cellpadding="0" border="0">
	<tr>
		<td>
			<a class="sudo-link" href="#" id="twistie" onclick="TwistieListener();return(false);">
				<img border="0" id="ImageTwistie" 
					src="<%=request.getContextPath()%>/jsp/CSS/images/twistie_collapsed.gif">
				</img>
				<span class="section-header" dojoType="fbfwca.Localizable">T_Product_Info</span>
			</a>
		</td>
	</tr>
</table>
<div id="DetailsContentPane" dojoType="dijit.layout.ContentPane" style="display:none;">
<table width="100%" border="1">
  <tr>
    <td width="30%"><b><div dojoType="fbfwca.Localizable">T_Component</div></b></td>
    <td width="70%"><%=fbwDetails[10][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[1][0]%></b></td>
    <td width="70%"><%=fbwDetails[1][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[2][0]%></b></td>
    <td width="70%"><%=fbwDetails[2][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[3][0]%></b></td>
    <td width="70%"><%=fbwDetails[3][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[4][0]%></b></td>
    <td width="70%"><%=fbwDetails[4][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[5][0]%></b></td>
    <td width="70%"><%=fbwDetails[5][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[6][0]%></b></td>
    <td width="70%"><%=fbwDetails[6][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[7][0]%></b></td>
    <td width="70%"><%=fbwDetails[7][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[8][0]%></b></td>
    <td width="70%"><%=fbwDetails[8][1]%></td>
  </tr>
  <tr>
    <td width="30%"><b><%=fbwDetails[9][0]%></b></td>
    <td width="70%"><%=fbwDetails[9][1]%></td>
  </tr>
</table>
</div>
</div>
