<!-- ***************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
*
* (C) Copyright IBM Corp. 2009
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
********************************************************** {COPYRIGHT-END} -->
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://ibm.com/isc/portlet" prefix="iscPortletAPI" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

<%@ page import="javax.portlet.*,
                 com.tivoli.fbfw.ca.*" %>

<style type="text/css">
	@import "<%=request.getContextPath()%>/js/dojo/dojox/grid/resources/Grid.css";
	@import "<%=request.getContextPath()%>/js/dojo/dojox/grid/resources/tundraGrid.css";
	@import "<%=request.getContextPath()%>/js/dojo/dijit/themes/tundra/tundra.css";
	@import "<%=request.getContextPath()%>/js/dojo/ibm/tivoli/tip/dijit/themes/Tivoli_Tundra.css";
	@import "<%=request.getContextPath()%>/jsp/CSS/FBWCA.css";
</style>

<script type="text/javascript" src="<%=request.getContextPath()%>/js/dojo/dojo/dojo.js"
	djconfig="isDebug:true,parseOnLoad:true,locale:'<%=request.getLocale().toString().replace('_','-').toLowerCase()%>'" ></script>

<script type="text/javascript">
		dojo.registerModulePath("ibm.tivoli.tip.dijit","../ibm/tivoli/tip/dijit");
		dojo.registerModulePath("ibm.tivoli.tip.dojo","../ibm/tivoli/tip/dojo");
		dojo.registerModulePath("nls", "../fbfwca");
		dojo.registerModulePath("nls_messages", "../fbfwca");

		dojo.require("dojo.i18n");
		dojo.require("dojo.parser");
		dojo.require("fbfwca.Groups");
		dojo.require("fbfwca.Localizable");
		dojo.requireLocalization("nls", "general");
		dojo.requireLocalization("nls_messages", "messages");

		var fbfwca_root = "<%=request.getContextPath()%>";

		var groups = null;

		dojo.addOnLoad(function(){
	  	dojo.style(dojo.body(), {height: "100%", width: "100%", direction:"ltr"});
			groups = new fbfwca.Groups();
		});        

		function <portlet:namespace/>cleanup () {
			try { 
				console.info ("enter cleanup");
				if (groups)
				{
					console.log("groups.destroy()");
					groups.destroy();
				}
				delete groups;
				delete fbfwca_root;
			} catch (ex) {
				console.error ("Caught exception in cleanup:");
				console.error (ex);
			}
		}

		function <portlet:namespace/>resizePortlet () {
			console.log("resizePortlet");
			if (dojo.byId("MainTableHolder").style.display!="none")
				groups.ResizeTable();
			else if (dojo.byId("ConfigWizardContainer").style.display!="none")
				groups.ResizeWizard();
			else if (dojo.byId("ConfigNBContainer").style.display!="none")
				groups.ResizeNotebook();
		}

		function <iscPortletAPI:processEventHandler/>(evt) {
			console.log ("FBFWCA: received event: "+evt.name);
			if (evt.name == "http://ibm.com/isclite#closePage" ) {
				<portlet:namespace/>cleanup();
			} else if (evt.name == "http://ibm.com/isclite#portletResize") {
				<portlet:namespace/>resizePortlet();
			}
		}

</script>

<div id="<portlet:namespace/>_main" style="width:100%;height:100%;">

<!--=========================================================================================-->
<!--                       Groups Table Dialog Box                                           -->
<!--=========================================================================================-->
<div id="MainTableHolder" style="display:block;width:100%;height:100%;">
<div dojoType="fbfwca.Localizable" class="fbw-desc">T_Groups_Page_Desc</div>
<div id="gridContainerNode" style="padding-top:10px;"></div>
</div>

<!--=========================================================================================-->
<!--                       Group Config Wizard                                               -->
<!--=========================================================================================-->
<div id="ConfigWizardContainer" style="display:none;width:99%;height:100%;">
</div>

<!--=========================================================================================-->
<!--                       Group Config Notebook                                             -->
<!--=========================================================================================-->
<div id="ConfigNBContainer" style="display:none;width:99%;height:100%;">
</div>

<!--=========================================================================================-->
<!--                       End of page                                                       -->
<!--=========================================================================================-->
</div>